open Swig
type c_enum_type = [ 
  `unknown
| `Type
| `Weekday
| `Month
| `TimeUnit
| `Frequency
| `Convention
| `Convention
| `Compounding
| `BusinessDayConvention
| `JointCalendarRule
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Market
| `Type
| `Type
| `Type
| `Type
| `Type
| `ConversionType
| `Type
]
type c_enum_value = [ 
  `Int of int
| `None
| `Spectral
| `Hypersphere
| `Sunday
| `Monday
| `Tuesday
| `Wednesday
| `Thursday
| `Friday
| `Saturday
| `January
| `February
| `March
| `April
| `May
| `June
| `July
| `August
| `September
| `October
| `November
| `December
| `Days
| `Weeks
| `Months
| `Years
| `NoFrequency
| `Once
| `Annual
| `Semiannual
| `EveryFourthMonth
| `Quarterly
| `Bimonthly
| `Monthly
| `USA
| `BondBasis
| `European
| `EurobondBasis
| `Italian
| `ISMA
| `Bond
| `ISDA
| `Historical
| `AFB
| `Euro
| `Simple
| `Compounded
| `Continuous
| `SimpleThenCompounded
| `Unadjusted
| `Preceding
| `ModifiedPreceding
| `Following
| `ModifiedFollowing
| `MonthEndReference
| `JoinHolidays
| `JoinBusinessDays
| `Merval
| `PSE
| `Settlement
| `FrankfurtStockExchange
| `Xetra
| `Eurex
| `HKEx
| `ICEX
| `NSE
| `BEJ
| `Exchange
| `BMV
| `SGX
| `BSSE
| `KRX
| `TSEC
| `USE
| `Metals
| `NYSE
| `GovernmentBond
| `Macaulay
| `Modified
| `Dirty
| `Clean
| `Call
| `Put
| `DownIn
| `UpIn
| `DownOut
| `UpOut
| `NoConversion
| `BaseCurrencyConversion
| `AutomatedConversion
| `Direct
| `Derived
]

type c_obj = c_enum_value c_obj_t
val module_name : string

exception BadArgs of string
exception BadMethodName of c_obj * string * string
exception NotObject of c_obj
exception NotEnumType of c_obj
exception LabelNotFromThisEnum of c_obj
exception InvalidDirectorCall of c_obj


    val array_to_vector : c_obj -> ('a -> c_obj) -> 'a array -> c_obj
    val vector_to_array : c_obj -> (c_obj -> 'a) -> 'a array -> c_obj

val new_string : c_obj -> c_obj
val _new_string : c_obj -> c_obj
val new_string : c_obj -> c_obj
val _new_string : c_obj -> c_obj
val _delete_string : c_obj -> c_obj

val create_std_xxbasic_string_xx_ldbrace_xx_lparenchar_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_wstring : c_obj -> c_obj
val _new_wstring : c_obj -> c_obj
val new_wstring : c_obj -> c_obj
val _new_wstring : c_obj -> c_obj
val _delete_wstring : c_obj -> c_obj

val create_std_xxbasic_string_xx_ldbrace_xx_lparenwchar_t_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_Observable : c_obj -> c_obj
val _new_Observable : c_obj -> c_obj
val _delete_Observable : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenObservable_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_Array : c_obj -> c_obj
val _new_Array : c_obj -> c_obj
val new_Array : c_obj -> c_obj
val _new_Array : c_obj -> c_obj
val new_Array : c_obj -> c_obj
val _new_Array : c_obj -> c_obj
val new_Array : c_obj -> c_obj
val _new_Array : c_obj -> c_obj
val _delete_Array : c_obj -> c_obj

val create_Array_from_ptr : c_obj -> c_obj


val new_LexicographicalView : c_obj -> c_obj
val _new_LexicographicalView : c_obj -> c_obj
val _delete_LexicographicalView : c_obj -> c_obj

val create_LexicographicalView_from_ptr : c_obj -> c_obj


val new_Matrix : c_obj -> c_obj
val _new_Matrix : c_obj -> c_obj
val new_Matrix : c_obj -> c_obj
val _new_Matrix : c_obj -> c_obj
val new_Matrix : c_obj -> c_obj
val _new_Matrix : c_obj -> c_obj
val new_Matrix : c_obj -> c_obj
val _new_Matrix : c_obj -> c_obj
val _delete_Matrix : c_obj -> c_obj

val create_Matrix_from_ptr : c_obj -> c_obj


val _None : c_obj -> Swig.c_obj
val _Spectral : c_obj -> Swig.c_obj
val _Hypersphere : c_obj -> Swig.c_obj
val new_SalvagingAlgorithm : c_obj -> c_obj
val _new_SalvagingAlgorithm : c_obj -> c_obj
val _delete_SalvagingAlgorithm : c_obj -> c_obj

val create_SalvagingAlgorithm_from_ptr : c_obj -> c_obj


val _transpose : c_obj -> c_obj
val _outerProduct : c_obj -> c_obj
val _pseudoSqrt : c_obj -> c_obj
val new_SVD : c_obj -> c_obj
val _new_SVD : c_obj -> c_obj
val _delete_SVD : c_obj -> c_obj

val create_SVD_from_ptr : c_obj -> c_obj


val new_Quote : c_obj -> c_obj
val _new_Quote : c_obj -> c_obj
val _delete_Quote : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenQuote_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_QuoteHandle : c_obj -> c_obj
val _new_QuoteHandle : c_obj -> c_obj
val new_QuoteHandle : c_obj -> c_obj
val _new_QuoteHandle : c_obj -> c_obj
val _delete_QuoteHandle : c_obj -> c_obj

val create_Handle_xx_ldbrace_xx_lparenQuote_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_SimpleQuote : c_obj -> c_obj
val _new_SimpleQuote : c_obj -> c_obj
val _delete_SimpleQuote : c_obj -> c_obj

val create_SimpleQuotePtr_from_ptr : c_obj -> c_obj


val new_QuoteVector : c_obj -> c_obj
val _new_QuoteVector : c_obj -> c_obj
val new_QuoteVector : c_obj -> c_obj
val _new_QuoteVector : c_obj -> c_obj
val new_QuoteVector : c_obj -> c_obj
val _new_QuoteVector : c_obj -> c_obj
val new_QuoteVector : c_obj -> c_obj
val _new_QuoteVector : c_obj -> c_obj
val _delete_QuoteVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenboost_xxshared_ptr_xx_ldbrace_xx_lparenQuote_xx_rparen_xx_rdbrace_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_QuoteHandleVector : c_obj -> c_obj
val _new_QuoteHandleVector : c_obj -> c_obj
val new_QuoteHandleVector : c_obj -> c_obj
val _new_QuoteHandleVector : c_obj -> c_obj
val new_QuoteHandleVector : c_obj -> c_obj
val _new_QuoteHandleVector : c_obj -> c_obj
val new_QuoteHandleVector : c_obj -> c_obj
val _new_QuoteHandleVector : c_obj -> c_obj
val _delete_QuoteHandleVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenHandle_xx_ldbrace_xx_lparenQuote_xx_rparen_xx_rdbrace_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val _Sunday : c_obj -> Swig.c_obj
val _Monday : c_obj -> Swig.c_obj
val _Tuesday : c_obj -> Swig.c_obj
val _Wednesday : c_obj -> Swig.c_obj
val _Thursday : c_obj -> Swig.c_obj
val _Friday : c_obj -> Swig.c_obj
val _Saturday : c_obj -> Swig.c_obj
val _January : c_obj -> Swig.c_obj
val _February : c_obj -> Swig.c_obj
val _March : c_obj -> Swig.c_obj
val _April : c_obj -> Swig.c_obj
val _May : c_obj -> Swig.c_obj
val _June : c_obj -> Swig.c_obj
val _July : c_obj -> Swig.c_obj
val _August : c_obj -> Swig.c_obj
val _September : c_obj -> Swig.c_obj
val _October : c_obj -> Swig.c_obj
val _November : c_obj -> Swig.c_obj
val _December : c_obj -> Swig.c_obj
val _Days : c_obj -> Swig.c_obj
val _Weeks : c_obj -> Swig.c_obj
val _Months : c_obj -> Swig.c_obj
val _Years : c_obj -> Swig.c_obj
val _NoFrequency : c_obj -> Swig.c_obj
val _Once : c_obj -> Swig.c_obj
val _Annual : c_obj -> Swig.c_obj
val _Semiannual : c_obj -> Swig.c_obj
val _EveryFourthMonth : c_obj -> Swig.c_obj
val _Quarterly : c_obj -> Swig.c_obj
val _Bimonthly : c_obj -> Swig.c_obj
val _Monthly : c_obj -> Swig.c_obj
val new_Period : c_obj -> c_obj
val _new_Period : c_obj -> c_obj
val new_Period : c_obj -> c_obj
val _new_Period : c_obj -> c_obj
val _delete_Period : c_obj -> c_obj

val create_Period_from_ptr : c_obj -> c_obj


val new_PeriodVector : c_obj -> c_obj
val _new_PeriodVector : c_obj -> c_obj
val new_PeriodVector : c_obj -> c_obj
val _new_PeriodVector : c_obj -> c_obj
val new_PeriodVector : c_obj -> c_obj
val _new_PeriodVector : c_obj -> c_obj
val new_PeriodVector : c_obj -> c_obj
val _new_PeriodVector : c_obj -> c_obj
val _delete_PeriodVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenPeriod_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_Date : c_obj -> c_obj
val _new_Date : c_obj -> c_obj
val new_Date : c_obj -> c_obj
val _new_Date : c_obj -> c_obj
val new_Date : c_obj -> c_obj
val _new_Date : c_obj -> c_obj
val _Date_isLeap : c_obj -> c_obj
val _Date_minDate : c_obj -> c_obj
val _Date_maxDate : c_obj -> c_obj
val _Date_todaysDate : c_obj -> c_obj
val _Date_endOfMonth : c_obj -> c_obj
val _Date_isEOM : c_obj -> c_obj
val _Date_nextWeekday : c_obj -> c_obj
val _Date_nthWeekday : c_obj -> c_obj
val _Date_isIMMdate : c_obj -> c_obj
val _Date_nextIMMdate : c_obj -> c_obj
val new_Date : c_obj -> c_obj
val _new_Date : c_obj -> c_obj
val _delete_Date : c_obj -> c_obj

val create_Date_from_ptr : c_obj -> c_obj


val new_DateVector : c_obj -> c_obj
val _new_DateVector : c_obj -> c_obj
val new_DateVector : c_obj -> c_obj
val _new_DateVector : c_obj -> c_obj
val new_DateVector : c_obj -> c_obj
val _new_DateVector : c_obj -> c_obj
val new_DateVector : c_obj -> c_obj
val _new_DateVector : c_obj -> c_obj
val _delete_DateVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenDate_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val _nullInt : c_obj -> c_obj
val _nullDouble : c_obj -> c_obj
val _delete_DayCounter : c_obj -> c_obj

val create_DayCounter_from_ptr : c_obj -> c_obj


val new_Actual360 : c_obj -> c_obj
val _new_Actual360 : c_obj -> c_obj
val _delete_Actual360 : c_obj -> c_obj

val create_QuantLib_xxActual360_from_ptr : c_obj -> c_obj


val new_Actual365Fixed : c_obj -> c_obj
val _new_Actual365Fixed : c_obj -> c_obj
val _delete_Actual365Fixed : c_obj -> c_obj

val create_QuantLib_xxActual365Fixed_from_ptr : c_obj -> c_obj


val _USA : c_obj -> Swig.c_obj
val _BondBasis : c_obj -> Swig.c_obj
val _European : c_obj -> Swig.c_obj
val _EurobondBasis : c_obj -> Swig.c_obj
val _Italian : c_obj -> Swig.c_obj
val new_Thirty360 : c_obj -> c_obj
val _new_Thirty360 : c_obj -> c_obj
val new_Thirty360 : c_obj -> c_obj
val _new_Thirty360 : c_obj -> c_obj
val _delete_Thirty360 : c_obj -> c_obj

val create_QuantLib_xxThirty360_from_ptr : c_obj -> c_obj


val _ISMA : c_obj -> Swig.c_obj
val _Bond : c_obj -> Swig.c_obj
val _ISDA : c_obj -> Swig.c_obj
val _Historical : c_obj -> Swig.c_obj
val _AFB : c_obj -> Swig.c_obj
val _Euro : c_obj -> Swig.c_obj
val new_ActualActual : c_obj -> c_obj
val _new_ActualActual : c_obj -> c_obj
val new_ActualActual : c_obj -> c_obj
val _new_ActualActual : c_obj -> c_obj
val _delete_ActualActual : c_obj -> c_obj

val create_QuantLib_xxActualActual_from_ptr : c_obj -> c_obj


val new_OneDayCounter : c_obj -> c_obj
val _new_OneDayCounter : c_obj -> c_obj
val _delete_OneDayCounter : c_obj -> c_obj

val create_QuantLib_xxOneDayCounter_from_ptr : c_obj -> c_obj


val new_SimpleDayCounter : c_obj -> c_obj
val _new_SimpleDayCounter : c_obj -> c_obj
val _delete_SimpleDayCounter : c_obj -> c_obj

val create_QuantLib_xxSimpleDayCounter_from_ptr : c_obj -> c_obj


val _Simple : c_obj -> Swig.c_obj
val _Compounded : c_obj -> Swig.c_obj
val _Continuous : c_obj -> Swig.c_obj
val _SimpleThenCompounded : c_obj -> Swig.c_obj
val new_InterestRate : c_obj -> c_obj
val _new_InterestRate : c_obj -> c_obj
val new_InterestRate : c_obj -> c_obj
val _new_InterestRate : c_obj -> c_obj
val new_InterestRate : c_obj -> c_obj
val _new_InterestRate : c_obj -> c_obj
val _InterestRate_impliedRate : c_obj -> c_obj
val _InterestRate_impliedRate : c_obj -> c_obj
val _InterestRate_impliedRate : c_obj -> c_obj
val _InterestRate_impliedRate : c_obj -> c_obj
val _delete_InterestRate : c_obj -> c_obj

val create_InterestRate_from_ptr : c_obj -> c_obj


val _Unadjusted : c_obj -> Swig.c_obj
val _Preceding : c_obj -> Swig.c_obj
val _ModifiedPreceding : c_obj -> Swig.c_obj
val _Following : c_obj -> Swig.c_obj
val _ModifiedFollowing : c_obj -> Swig.c_obj
val _MonthEndReference : c_obj -> Swig.c_obj
val _JoinHolidays : c_obj -> Swig.c_obj
val _JoinBusinessDays : c_obj -> Swig.c_obj
val _delete_Calendar : c_obj -> c_obj

val create_Calendar_from_ptr : c_obj -> c_obj


val _Merval : c_obj -> Swig.c_obj
val new_Argentina : c_obj -> c_obj
val _new_Argentina : c_obj -> c_obj
val new_Argentina : c_obj -> c_obj
val _new_Argentina : c_obj -> c_obj
val _delete_Argentina : c_obj -> c_obj

val create_QuantLib_xxArgentina_from_ptr : c_obj -> c_obj


val new_Australia : c_obj -> c_obj
val _new_Australia : c_obj -> c_obj
val _delete_Australia : c_obj -> c_obj

val create_QuantLib_xxAustralia_from_ptr : c_obj -> c_obj


val new_Canada : c_obj -> c_obj
val _new_Canada : c_obj -> c_obj
val _delete_Canada : c_obj -> c_obj

val create_QuantLib_xxCanada_from_ptr : c_obj -> c_obj


val new_China : c_obj -> c_obj
val _new_China : c_obj -> c_obj
val _delete_China : c_obj -> c_obj

val create_QuantLib_xxChina_from_ptr : c_obj -> c_obj


val _PSE : c_obj -> Swig.c_obj
val new_CzechRepublic : c_obj -> c_obj
val _new_CzechRepublic : c_obj -> c_obj
val new_CzechRepublic : c_obj -> c_obj
val _new_CzechRepublic : c_obj -> c_obj
val _delete_CzechRepublic : c_obj -> c_obj

val create_QuantLib_xxCzechRepublic_from_ptr : c_obj -> c_obj


val new_Denmark : c_obj -> c_obj
val _new_Denmark : c_obj -> c_obj
val _delete_Denmark : c_obj -> c_obj

val create_QuantLib_xxDenmark_from_ptr : c_obj -> c_obj


val new_Finland : c_obj -> c_obj
val _new_Finland : c_obj -> c_obj
val _delete_Finland : c_obj -> c_obj

val create_QuantLib_xxFinland_from_ptr : c_obj -> c_obj


val _Settlement : c_obj -> Swig.c_obj
val _FrankfurtStockExchange : c_obj -> Swig.c_obj
val _Xetra : c_obj -> Swig.c_obj
val _Eurex : c_obj -> Swig.c_obj
val new_Germany : c_obj -> c_obj
val _new_Germany : c_obj -> c_obj
val new_Germany : c_obj -> c_obj
val _new_Germany : c_obj -> c_obj
val _delete_Germany : c_obj -> c_obj

val create_QuantLib_xxGermany_from_ptr : c_obj -> c_obj


val _HKEx : c_obj -> Swig.c_obj
val new_HongKong : c_obj -> c_obj
val _new_HongKong : c_obj -> c_obj
val new_HongKong : c_obj -> c_obj
val _new_HongKong : c_obj -> c_obj
val _delete_HongKong : c_obj -> c_obj

val create_QuantLib_xxHongKong_from_ptr : c_obj -> c_obj


val new_Hungary : c_obj -> c_obj
val _new_Hungary : c_obj -> c_obj
val _delete_Hungary : c_obj -> c_obj

val create_QuantLib_xxHungary_from_ptr : c_obj -> c_obj


val _ICEX : c_obj -> Swig.c_obj
val new_Iceland : c_obj -> c_obj
val _new_Iceland : c_obj -> c_obj
val new_Iceland : c_obj -> c_obj
val _new_Iceland : c_obj -> c_obj
val _delete_Iceland : c_obj -> c_obj

val create_QuantLib_xxIceland_from_ptr : c_obj -> c_obj


val _NSE : c_obj -> Swig.c_obj
val new_India : c_obj -> c_obj
val _new_India : c_obj -> c_obj
val new_India : c_obj -> c_obj
val _new_India : c_obj -> c_obj
val _delete_India : c_obj -> c_obj

val create_QuantLib_xxIndia_from_ptr : c_obj -> c_obj


val _BEJ : c_obj -> Swig.c_obj
val new_Indonesia : c_obj -> c_obj
val _new_Indonesia : c_obj -> c_obj
val new_Indonesia : c_obj -> c_obj
val _new_Indonesia : c_obj -> c_obj
val _delete_Indonesia : c_obj -> c_obj

val create_QuantLib_xxIndonesia_from_ptr : c_obj -> c_obj


val _Exchange : c_obj -> Swig.c_obj
val new_Italy : c_obj -> c_obj
val _new_Italy : c_obj -> c_obj
val new_Italy : c_obj -> c_obj
val _new_Italy : c_obj -> c_obj
val _delete_Italy : c_obj -> c_obj

val create_QuantLib_xxItaly_from_ptr : c_obj -> c_obj


val new_Japan : c_obj -> c_obj
val _new_Japan : c_obj -> c_obj
val _delete_Japan : c_obj -> c_obj

val create_QuantLib_xxJapan_from_ptr : c_obj -> c_obj


val _BMV : c_obj -> Swig.c_obj
val new_Mexico : c_obj -> c_obj
val _new_Mexico : c_obj -> c_obj
val new_Mexico : c_obj -> c_obj
val _new_Mexico : c_obj -> c_obj
val _delete_Mexico : c_obj -> c_obj

val create_QuantLib_xxMexico_from_ptr : c_obj -> c_obj


val new_NewZealand : c_obj -> c_obj
val _new_NewZealand : c_obj -> c_obj
val _delete_NewZealand : c_obj -> c_obj

val create_QuantLib_xxNewZealand_from_ptr : c_obj -> c_obj


val new_Norway : c_obj -> c_obj
val _new_Norway : c_obj -> c_obj
val _delete_Norway : c_obj -> c_obj

val create_QuantLib_xxNorway_from_ptr : c_obj -> c_obj


val new_Poland : c_obj -> c_obj
val _new_Poland : c_obj -> c_obj
val _delete_Poland : c_obj -> c_obj

val create_QuantLib_xxPoland_from_ptr : c_obj -> c_obj


val new_SaudiArabia : c_obj -> c_obj
val _new_SaudiArabia : c_obj -> c_obj
val _delete_SaudiArabia : c_obj -> c_obj

val create_QuantLib_xxSaudiArabia_from_ptr : c_obj -> c_obj


val _SGX : c_obj -> Swig.c_obj
val new_Singapore : c_obj -> c_obj
val _new_Singapore : c_obj -> c_obj
val new_Singapore : c_obj -> c_obj
val _new_Singapore : c_obj -> c_obj
val _delete_Singapore : c_obj -> c_obj

val create_QuantLib_xxSingapore_from_ptr : c_obj -> c_obj


val _BSSE : c_obj -> Swig.c_obj
val new_Slovakia : c_obj -> c_obj
val _new_Slovakia : c_obj -> c_obj
val new_Slovakia : c_obj -> c_obj
val _new_Slovakia : c_obj -> c_obj
val _delete_Slovakia : c_obj -> c_obj

val create_QuantLib_xxSlovakia_from_ptr : c_obj -> c_obj


val new_SouthAfrica : c_obj -> c_obj
val _new_SouthAfrica : c_obj -> c_obj
val _delete_SouthAfrica : c_obj -> c_obj

val create_QuantLib_xxSouthAfrica_from_ptr : c_obj -> c_obj


val _KRX : c_obj -> Swig.c_obj
val new_SouthKorea : c_obj -> c_obj
val _new_SouthKorea : c_obj -> c_obj
val new_SouthKorea : c_obj -> c_obj
val _new_SouthKorea : c_obj -> c_obj
val _delete_SouthKorea : c_obj -> c_obj

val create_QuantLib_xxSouthKorea_from_ptr : c_obj -> c_obj


val new_Sweden : c_obj -> c_obj
val _new_Sweden : c_obj -> c_obj
val _delete_Sweden : c_obj -> c_obj

val create_QuantLib_xxSweden_from_ptr : c_obj -> c_obj


val new_Switzerland : c_obj -> c_obj
val _new_Switzerland : c_obj -> c_obj
val _delete_Switzerland : c_obj -> c_obj

val create_QuantLib_xxSwitzerland_from_ptr : c_obj -> c_obj


val _TSEC : c_obj -> Swig.c_obj
val new_Taiwan : c_obj -> c_obj
val _new_Taiwan : c_obj -> c_obj
val new_Taiwan : c_obj -> c_obj
val _new_Taiwan : c_obj -> c_obj
val _delete_Taiwan : c_obj -> c_obj

val create_QuantLib_xxTaiwan_from_ptr : c_obj -> c_obj


val new_TARGET : c_obj -> c_obj
val _new_TARGET : c_obj -> c_obj
val _delete_TARGET : c_obj -> c_obj

val create_QuantLib_xxTARGET_from_ptr : c_obj -> c_obj


val new_Turkey : c_obj -> c_obj
val _new_Turkey : c_obj -> c_obj
val _delete_Turkey : c_obj -> c_obj

val create_QuantLib_xxTurkey_from_ptr : c_obj -> c_obj


val _USE : c_obj -> Swig.c_obj
val new_Ukraine : c_obj -> c_obj
val _new_Ukraine : c_obj -> c_obj
val new_Ukraine : c_obj -> c_obj
val _new_Ukraine : c_obj -> c_obj
val _delete_Ukraine : c_obj -> c_obj

val create_QuantLib_xxUkraine_from_ptr : c_obj -> c_obj


val _Metals : c_obj -> Swig.c_obj
val new_UnitedKingdom : c_obj -> c_obj
val _new_UnitedKingdom : c_obj -> c_obj
val new_UnitedKingdom : c_obj -> c_obj
val _new_UnitedKingdom : c_obj -> c_obj
val _delete_UnitedKingdom : c_obj -> c_obj

val create_QuantLib_xxUnitedKingdom_from_ptr : c_obj -> c_obj


val _NYSE : c_obj -> Swig.c_obj
val _GovernmentBond : c_obj -> Swig.c_obj
val new_UnitedStates : c_obj -> c_obj
val _new_UnitedStates : c_obj -> c_obj
val new_UnitedStates : c_obj -> c_obj
val _new_UnitedStates : c_obj -> c_obj
val _delete_UnitedStates : c_obj -> c_obj

val create_QuantLib_xxUnitedStates_from_ptr : c_obj -> c_obj


val new_Beijing : c_obj -> c_obj
val _new_Beijing : c_obj -> c_obj
val _delete_Beijing : c_obj -> c_obj

val create_QuantLib_xxBeijing_from_ptr : c_obj -> c_obj


val new_Bombay : c_obj -> c_obj
val _new_Bombay : c_obj -> c_obj
val _delete_Bombay : c_obj -> c_obj

val create_QuantLib_xxBombay_from_ptr : c_obj -> c_obj


val new_Bratislava : c_obj -> c_obj
val _new_Bratislava : c_obj -> c_obj
val _delete_Bratislava : c_obj -> c_obj

val create_QuantLib_xxBratislava_from_ptr : c_obj -> c_obj


val new_Brazil : c_obj -> c_obj
val _new_Brazil : c_obj -> c_obj
val _delete_Brazil : c_obj -> c_obj

val create_QuantLib_xxBrazil_from_ptr : c_obj -> c_obj


val new_Budapest : c_obj -> c_obj
val _new_Budapest : c_obj -> c_obj
val _delete_Budapest : c_obj -> c_obj

val create_QuantLib_xxBudapest_from_ptr : c_obj -> c_obj


val new_Copenhagen : c_obj -> c_obj
val _new_Copenhagen : c_obj -> c_obj
val _delete_Copenhagen : c_obj -> c_obj

val create_QuantLib_xxCopenhagen_from_ptr : c_obj -> c_obj


val new_Helsinki : c_obj -> c_obj
val _new_Helsinki : c_obj -> c_obj
val _delete_Helsinki : c_obj -> c_obj

val create_QuantLib_xxHelsinki_from_ptr : c_obj -> c_obj


val new_Istanbul : c_obj -> c_obj
val _new_Istanbul : c_obj -> c_obj
val _delete_Istanbul : c_obj -> c_obj

val create_QuantLib_xxIstanbul_from_ptr : c_obj -> c_obj


val new_Johannesburg : c_obj -> c_obj
val _new_Johannesburg : c_obj -> c_obj
val _delete_Johannesburg : c_obj -> c_obj

val create_QuantLib_xxJohannesburg_from_ptr : c_obj -> c_obj


val new_Oslo : c_obj -> c_obj
val _new_Oslo : c_obj -> c_obj
val _delete_Oslo : c_obj -> c_obj

val create_QuantLib_xxOslo_from_ptr : c_obj -> c_obj


val new_Prague : c_obj -> c_obj
val _new_Prague : c_obj -> c_obj
val _delete_Prague : c_obj -> c_obj

val create_QuantLib_xxPrague_from_ptr : c_obj -> c_obj


val new_Riyadh : c_obj -> c_obj
val _new_Riyadh : c_obj -> c_obj
val _delete_Riyadh : c_obj -> c_obj

val create_QuantLib_xxRiyadh_from_ptr : c_obj -> c_obj


val new_Seoul : c_obj -> c_obj
val _new_Seoul : c_obj -> c_obj
val _delete_Seoul : c_obj -> c_obj

val create_QuantLib_xxSeoul_from_ptr : c_obj -> c_obj


val new_Stockholm : c_obj -> c_obj
val _new_Stockholm : c_obj -> c_obj
val _delete_Stockholm : c_obj -> c_obj

val create_QuantLib_xxStockholm_from_ptr : c_obj -> c_obj


val new_Sydney : c_obj -> c_obj
val _new_Sydney : c_obj -> c_obj
val _delete_Sydney : c_obj -> c_obj

val create_QuantLib_xxSydney_from_ptr : c_obj -> c_obj


val new_Taipei : c_obj -> c_obj
val _new_Taipei : c_obj -> c_obj
val _delete_Taipei : c_obj -> c_obj

val create_QuantLib_xxTaipei_from_ptr : c_obj -> c_obj


val new_Tokyo : c_obj -> c_obj
val _new_Tokyo : c_obj -> c_obj
val _delete_Tokyo : c_obj -> c_obj

val create_QuantLib_xxTokyo_from_ptr : c_obj -> c_obj


val new_Toronto : c_obj -> c_obj
val _new_Toronto : c_obj -> c_obj
val _delete_Toronto : c_obj -> c_obj

val create_QuantLib_xxToronto_from_ptr : c_obj -> c_obj


val new_Warsaw : c_obj -> c_obj
val _new_Warsaw : c_obj -> c_obj
val _delete_Warsaw : c_obj -> c_obj

val create_QuantLib_xxWarsaw_from_ptr : c_obj -> c_obj


val new_Wellington : c_obj -> c_obj
val _new_Wellington : c_obj -> c_obj
val _delete_Wellington : c_obj -> c_obj

val create_QuantLib_xxWellington_from_ptr : c_obj -> c_obj


val new_Zurich : c_obj -> c_obj
val _new_Zurich : c_obj -> c_obj
val _delete_Zurich : c_obj -> c_obj

val create_QuantLib_xxZurich_from_ptr : c_obj -> c_obj


val new_NullCalendar : c_obj -> c_obj
val _new_NullCalendar : c_obj -> c_obj
val _delete_NullCalendar : c_obj -> c_obj

val create_QuantLib_xxNullCalendar_from_ptr : c_obj -> c_obj


val new_JointCalendar : c_obj -> c_obj
val _new_JointCalendar : c_obj -> c_obj
val new_JointCalendar : c_obj -> c_obj
val _new_JointCalendar : c_obj -> c_obj
val new_JointCalendar : c_obj -> c_obj
val _new_JointCalendar : c_obj -> c_obj
val new_JointCalendar : c_obj -> c_obj
val _new_JointCalendar : c_obj -> c_obj
val new_JointCalendar : c_obj -> c_obj
val _new_JointCalendar : c_obj -> c_obj
val new_JointCalendar : c_obj -> c_obj
val _new_JointCalendar : c_obj -> c_obj
val _delete_JointCalendar : c_obj -> c_obj

val create_QuantLib_xxJointCalendar_from_ptr : c_obj -> c_obj


val new_Rounding : c_obj -> c_obj
val _new_Rounding : c_obj -> c_obj
val _delete_Rounding : c_obj -> c_obj

val create_Rounding_from_ptr : c_obj -> c_obj


val new_UpRounding : c_obj -> c_obj
val _new_UpRounding : c_obj -> c_obj
val new_UpRounding : c_obj -> c_obj
val _new_UpRounding : c_obj -> c_obj
val _delete_UpRounding : c_obj -> c_obj

val create_UpRounding_from_ptr : c_obj -> c_obj


val new_DownRounding : c_obj -> c_obj
val _new_DownRounding : c_obj -> c_obj
val new_DownRounding : c_obj -> c_obj
val _new_DownRounding : c_obj -> c_obj
val _delete_DownRounding : c_obj -> c_obj

val create_DownRounding_from_ptr : c_obj -> c_obj


val new_ClosestRounding : c_obj -> c_obj
val _new_ClosestRounding : c_obj -> c_obj
val new_ClosestRounding : c_obj -> c_obj
val _new_ClosestRounding : c_obj -> c_obj
val _delete_ClosestRounding : c_obj -> c_obj

val create_ClosestRounding_from_ptr : c_obj -> c_obj


val new_CeilingTruncation : c_obj -> c_obj
val _new_CeilingTruncation : c_obj -> c_obj
val new_CeilingTruncation : c_obj -> c_obj
val _new_CeilingTruncation : c_obj -> c_obj
val _delete_CeilingTruncation : c_obj -> c_obj

val create_CeilingTruncation_from_ptr : c_obj -> c_obj


val new_FloorTruncation : c_obj -> c_obj
val _new_FloorTruncation : c_obj -> c_obj
val new_FloorTruncation : c_obj -> c_obj
val _new_FloorTruncation : c_obj -> c_obj
val _delete_FloorTruncation : c_obj -> c_obj

val create_FloorTruncation_from_ptr : c_obj -> c_obj


val new_Currency : c_obj -> c_obj
val _new_Currency : c_obj -> c_obj
val _delete_Currency : c_obj -> c_obj

val create_Currency_from_ptr : c_obj -> c_obj


val new_ARSCurrency : c_obj -> c_obj
val _new_ARSCurrency : c_obj -> c_obj
val _delete_ARSCurrency : c_obj -> c_obj

val create_QuantLib_xxARSCurrency_from_ptr : c_obj -> c_obj


val new_ATSCurrency : c_obj -> c_obj
val _new_ATSCurrency : c_obj -> c_obj
val _delete_ATSCurrency : c_obj -> c_obj

val create_QuantLib_xxATSCurrency_from_ptr : c_obj -> c_obj


val new_AUDCurrency : c_obj -> c_obj
val _new_AUDCurrency : c_obj -> c_obj
val _delete_AUDCurrency : c_obj -> c_obj

val create_QuantLib_xxAUDCurrency_from_ptr : c_obj -> c_obj


val new_BDTCurrency : c_obj -> c_obj
val _new_BDTCurrency : c_obj -> c_obj
val _delete_BDTCurrency : c_obj -> c_obj

val create_QuantLib_xxBDTCurrency_from_ptr : c_obj -> c_obj


val new_BEFCurrency : c_obj -> c_obj
val _new_BEFCurrency : c_obj -> c_obj
val _delete_BEFCurrency : c_obj -> c_obj

val create_QuantLib_xxBEFCurrency_from_ptr : c_obj -> c_obj


val new_BGLCurrency : c_obj -> c_obj
val _new_BGLCurrency : c_obj -> c_obj
val _delete_BGLCurrency : c_obj -> c_obj

val create_QuantLib_xxBGLCurrency_from_ptr : c_obj -> c_obj


val new_BRLCurrency : c_obj -> c_obj
val _new_BRLCurrency : c_obj -> c_obj
val _delete_BRLCurrency : c_obj -> c_obj

val create_QuantLib_xxBRLCurrency_from_ptr : c_obj -> c_obj


val new_BYRCurrency : c_obj -> c_obj
val _new_BYRCurrency : c_obj -> c_obj
val _delete_BYRCurrency : c_obj -> c_obj

val create_QuantLib_xxBYRCurrency_from_ptr : c_obj -> c_obj


val new_CADCurrency : c_obj -> c_obj
val _new_CADCurrency : c_obj -> c_obj
val _delete_CADCurrency : c_obj -> c_obj

val create_QuantLib_xxCADCurrency_from_ptr : c_obj -> c_obj


val new_CHFCurrency : c_obj -> c_obj
val _new_CHFCurrency : c_obj -> c_obj
val _delete_CHFCurrency : c_obj -> c_obj

val create_QuantLib_xxCHFCurrency_from_ptr : c_obj -> c_obj


val new_CLPCurrency : c_obj -> c_obj
val _new_CLPCurrency : c_obj -> c_obj
val _delete_CLPCurrency : c_obj -> c_obj

val create_QuantLib_xxCLPCurrency_from_ptr : c_obj -> c_obj


val new_CNYCurrency : c_obj -> c_obj
val _new_CNYCurrency : c_obj -> c_obj
val _delete_CNYCurrency : c_obj -> c_obj

val create_QuantLib_xxCNYCurrency_from_ptr : c_obj -> c_obj


val new_COPCurrency : c_obj -> c_obj
val _new_COPCurrency : c_obj -> c_obj
val _delete_COPCurrency : c_obj -> c_obj

val create_QuantLib_xxCOPCurrency_from_ptr : c_obj -> c_obj


val new_CYPCurrency : c_obj -> c_obj
val _new_CYPCurrency : c_obj -> c_obj
val _delete_CYPCurrency : c_obj -> c_obj

val create_QuantLib_xxCYPCurrency_from_ptr : c_obj -> c_obj


val new_CZKCurrency : c_obj -> c_obj
val _new_CZKCurrency : c_obj -> c_obj
val _delete_CZKCurrency : c_obj -> c_obj

val create_QuantLib_xxCZKCurrency_from_ptr : c_obj -> c_obj


val new_DEMCurrency : c_obj -> c_obj
val _new_DEMCurrency : c_obj -> c_obj
val _delete_DEMCurrency : c_obj -> c_obj

val create_QuantLib_xxDEMCurrency_from_ptr : c_obj -> c_obj


val new_DKKCurrency : c_obj -> c_obj
val _new_DKKCurrency : c_obj -> c_obj
val _delete_DKKCurrency : c_obj -> c_obj

val create_QuantLib_xxDKKCurrency_from_ptr : c_obj -> c_obj


val new_EEKCurrency : c_obj -> c_obj
val _new_EEKCurrency : c_obj -> c_obj
val _delete_EEKCurrency : c_obj -> c_obj

val create_QuantLib_xxEEKCurrency_from_ptr : c_obj -> c_obj


val new_ESPCurrency : c_obj -> c_obj
val _new_ESPCurrency : c_obj -> c_obj
val _delete_ESPCurrency : c_obj -> c_obj

val create_QuantLib_xxESPCurrency_from_ptr : c_obj -> c_obj


val new_EURCurrency : c_obj -> c_obj
val _new_EURCurrency : c_obj -> c_obj
val _delete_EURCurrency : c_obj -> c_obj

val create_QuantLib_xxEURCurrency_from_ptr : c_obj -> c_obj


val new_FIMCurrency : c_obj -> c_obj
val _new_FIMCurrency : c_obj -> c_obj
val _delete_FIMCurrency : c_obj -> c_obj

val create_QuantLib_xxFIMCurrency_from_ptr : c_obj -> c_obj


val new_FRFCurrency : c_obj -> c_obj
val _new_FRFCurrency : c_obj -> c_obj
val _delete_FRFCurrency : c_obj -> c_obj

val create_QuantLib_xxFRFCurrency_from_ptr : c_obj -> c_obj


val new_GBPCurrency : c_obj -> c_obj
val _new_GBPCurrency : c_obj -> c_obj
val _delete_GBPCurrency : c_obj -> c_obj

val create_QuantLib_xxGBPCurrency_from_ptr : c_obj -> c_obj


val new_GRDCurrency : c_obj -> c_obj
val _new_GRDCurrency : c_obj -> c_obj
val _delete_GRDCurrency : c_obj -> c_obj

val create_QuantLib_xxGRDCurrency_from_ptr : c_obj -> c_obj


val new_HKDCurrency : c_obj -> c_obj
val _new_HKDCurrency : c_obj -> c_obj
val _delete_HKDCurrency : c_obj -> c_obj

val create_QuantLib_xxHKDCurrency_from_ptr : c_obj -> c_obj


val new_HUFCurrency : c_obj -> c_obj
val _new_HUFCurrency : c_obj -> c_obj
val _delete_HUFCurrency : c_obj -> c_obj

val create_QuantLib_xxHUFCurrency_from_ptr : c_obj -> c_obj


val new_IEPCurrency : c_obj -> c_obj
val _new_IEPCurrency : c_obj -> c_obj
val _delete_IEPCurrency : c_obj -> c_obj

val create_QuantLib_xxIEPCurrency_from_ptr : c_obj -> c_obj


val new_ILSCurrency : c_obj -> c_obj
val _new_ILSCurrency : c_obj -> c_obj
val _delete_ILSCurrency : c_obj -> c_obj

val create_QuantLib_xxILSCurrency_from_ptr : c_obj -> c_obj


val new_INRCurrency : c_obj -> c_obj
val _new_INRCurrency : c_obj -> c_obj
val _delete_INRCurrency : c_obj -> c_obj

val create_QuantLib_xxINRCurrency_from_ptr : c_obj -> c_obj


val new_IQDCurrency : c_obj -> c_obj
val _new_IQDCurrency : c_obj -> c_obj
val _delete_IQDCurrency : c_obj -> c_obj

val create_QuantLib_xxIQDCurrency_from_ptr : c_obj -> c_obj


val new_IRRCurrency : c_obj -> c_obj
val _new_IRRCurrency : c_obj -> c_obj
val _delete_IRRCurrency : c_obj -> c_obj

val create_QuantLib_xxIRRCurrency_from_ptr : c_obj -> c_obj


val new_ISKCurrency : c_obj -> c_obj
val _new_ISKCurrency : c_obj -> c_obj
val _delete_ISKCurrency : c_obj -> c_obj

val create_QuantLib_xxISKCurrency_from_ptr : c_obj -> c_obj


val new_ITLCurrency : c_obj -> c_obj
val _new_ITLCurrency : c_obj -> c_obj
val _delete_ITLCurrency : c_obj -> c_obj

val create_QuantLib_xxITLCurrency_from_ptr : c_obj -> c_obj


val new_JPYCurrency : c_obj -> c_obj
val _new_JPYCurrency : c_obj -> c_obj
val _delete_JPYCurrency : c_obj -> c_obj

val create_QuantLib_xxJPYCurrency_from_ptr : c_obj -> c_obj


val new_KRWCurrency : c_obj -> c_obj
val _new_KRWCurrency : c_obj -> c_obj
val _delete_KRWCurrency : c_obj -> c_obj

val create_QuantLib_xxKRWCurrency_from_ptr : c_obj -> c_obj


val new_KWDCurrency : c_obj -> c_obj
val _new_KWDCurrency : c_obj -> c_obj
val _delete_KWDCurrency : c_obj -> c_obj

val create_QuantLib_xxKWDCurrency_from_ptr : c_obj -> c_obj


val new_LTLCurrency : c_obj -> c_obj
val _new_LTLCurrency : c_obj -> c_obj
val _delete_LTLCurrency : c_obj -> c_obj

val create_QuantLib_xxLTLCurrency_from_ptr : c_obj -> c_obj


val new_LUFCurrency : c_obj -> c_obj
val _new_LUFCurrency : c_obj -> c_obj
val _delete_LUFCurrency : c_obj -> c_obj

val create_QuantLib_xxLUFCurrency_from_ptr : c_obj -> c_obj


val new_LVLCurrency : c_obj -> c_obj
val _new_LVLCurrency : c_obj -> c_obj
val _delete_LVLCurrency : c_obj -> c_obj

val create_QuantLib_xxLVLCurrency_from_ptr : c_obj -> c_obj


val new_MTLCurrency : c_obj -> c_obj
val _new_MTLCurrency : c_obj -> c_obj
val _delete_MTLCurrency : c_obj -> c_obj

val create_QuantLib_xxMTLCurrency_from_ptr : c_obj -> c_obj


val new_MXNCurrency : c_obj -> c_obj
val _new_MXNCurrency : c_obj -> c_obj
val _delete_MXNCurrency : c_obj -> c_obj

val create_QuantLib_xxMXNCurrency_from_ptr : c_obj -> c_obj


val new_NLGCurrency : c_obj -> c_obj
val _new_NLGCurrency : c_obj -> c_obj
val _delete_NLGCurrency : c_obj -> c_obj

val create_QuantLib_xxNLGCurrency_from_ptr : c_obj -> c_obj


val new_NOKCurrency : c_obj -> c_obj
val _new_NOKCurrency : c_obj -> c_obj
val _delete_NOKCurrency : c_obj -> c_obj

val create_QuantLib_xxNOKCurrency_from_ptr : c_obj -> c_obj


val new_NPRCurrency : c_obj -> c_obj
val _new_NPRCurrency : c_obj -> c_obj
val _delete_NPRCurrency : c_obj -> c_obj

val create_QuantLib_xxNPRCurrency_from_ptr : c_obj -> c_obj


val new_NZDCurrency : c_obj -> c_obj
val _new_NZDCurrency : c_obj -> c_obj
val _delete_NZDCurrency : c_obj -> c_obj

val create_QuantLib_xxNZDCurrency_from_ptr : c_obj -> c_obj


val new_PKRCurrency : c_obj -> c_obj
val _new_PKRCurrency : c_obj -> c_obj
val _delete_PKRCurrency : c_obj -> c_obj

val create_QuantLib_xxPKRCurrency_from_ptr : c_obj -> c_obj


val new_PLNCurrency : c_obj -> c_obj
val _new_PLNCurrency : c_obj -> c_obj
val _delete_PLNCurrency : c_obj -> c_obj

val create_QuantLib_xxPLNCurrency_from_ptr : c_obj -> c_obj


val new_PTECurrency : c_obj -> c_obj
val _new_PTECurrency : c_obj -> c_obj
val _delete_PTECurrency : c_obj -> c_obj

val create_QuantLib_xxPTECurrency_from_ptr : c_obj -> c_obj


val new_ROLCurrency : c_obj -> c_obj
val _new_ROLCurrency : c_obj -> c_obj
val _delete_ROLCurrency : c_obj -> c_obj

val create_QuantLib_xxROLCurrency_from_ptr : c_obj -> c_obj


val new_SARCurrency : c_obj -> c_obj
val _new_SARCurrency : c_obj -> c_obj
val _delete_SARCurrency : c_obj -> c_obj

val create_QuantLib_xxSARCurrency_from_ptr : c_obj -> c_obj


val new_SEKCurrency : c_obj -> c_obj
val _new_SEKCurrency : c_obj -> c_obj
val _delete_SEKCurrency : c_obj -> c_obj

val create_QuantLib_xxSEKCurrency_from_ptr : c_obj -> c_obj


val new_SGDCurrency : c_obj -> c_obj
val _new_SGDCurrency : c_obj -> c_obj
val _delete_SGDCurrency : c_obj -> c_obj

val create_QuantLib_xxSGDCurrency_from_ptr : c_obj -> c_obj


val new_SITCurrency : c_obj -> c_obj
val _new_SITCurrency : c_obj -> c_obj
val _delete_SITCurrency : c_obj -> c_obj

val create_QuantLib_xxSITCurrency_from_ptr : c_obj -> c_obj


val new_SKKCurrency : c_obj -> c_obj
val _new_SKKCurrency : c_obj -> c_obj
val _delete_SKKCurrency : c_obj -> c_obj

val create_QuantLib_xxSKKCurrency_from_ptr : c_obj -> c_obj


val new_THBCurrency : c_obj -> c_obj
val _new_THBCurrency : c_obj -> c_obj
val _delete_THBCurrency : c_obj -> c_obj

val create_QuantLib_xxTHBCurrency_from_ptr : c_obj -> c_obj


val new_TRLCurrency : c_obj -> c_obj
val _new_TRLCurrency : c_obj -> c_obj
val _delete_TRLCurrency : c_obj -> c_obj

val create_QuantLib_xxTRLCurrency_from_ptr : c_obj -> c_obj


val new_TRYCurrency : c_obj -> c_obj
val _new_TRYCurrency : c_obj -> c_obj
val _delete_TRYCurrency : c_obj -> c_obj

val create_QuantLib_xxTRYCurrency_from_ptr : c_obj -> c_obj


val new_TTDCurrency : c_obj -> c_obj
val _new_TTDCurrency : c_obj -> c_obj
val _delete_TTDCurrency : c_obj -> c_obj

val create_QuantLib_xxTTDCurrency_from_ptr : c_obj -> c_obj


val new_TWDCurrency : c_obj -> c_obj
val _new_TWDCurrency : c_obj -> c_obj
val _delete_TWDCurrency : c_obj -> c_obj

val create_QuantLib_xxTWDCurrency_from_ptr : c_obj -> c_obj


val new_USDCurrency : c_obj -> c_obj
val _new_USDCurrency : c_obj -> c_obj
val _delete_USDCurrency : c_obj -> c_obj

val create_QuantLib_xxUSDCurrency_from_ptr : c_obj -> c_obj


val new_VEBCurrency : c_obj -> c_obj
val _new_VEBCurrency : c_obj -> c_obj
val _delete_VEBCurrency : c_obj -> c_obj

val create_QuantLib_xxVEBCurrency_from_ptr : c_obj -> c_obj


val new_ZARCurrency : c_obj -> c_obj
val _new_ZARCurrency : c_obj -> c_obj
val _delete_ZARCurrency : c_obj -> c_obj

val create_QuantLib_xxZARCurrency_from_ptr : c_obj -> c_obj


val new_LinearInterpolation : c_obj -> c_obj
val _new_LinearInterpolation : c_obj -> c_obj
val _delete_LinearInterpolation : c_obj -> c_obj

val create_SafeLinearInterpolation_from_ptr : c_obj -> c_obj


val new_LogLinearInterpolation : c_obj -> c_obj
val _new_LogLinearInterpolation : c_obj -> c_obj
val _delete_LogLinearInterpolation : c_obj -> c_obj

val create_SafeLogLinearInterpolation_from_ptr : c_obj -> c_obj


val new_BackwardFlatInterpolation : c_obj -> c_obj
val _new_BackwardFlatInterpolation : c_obj -> c_obj
val _delete_BackwardFlatInterpolation : c_obj -> c_obj

val create_SafeBackwardFlatInterpolation_from_ptr : c_obj -> c_obj


val new_ForwardFlatInterpolation : c_obj -> c_obj
val _new_ForwardFlatInterpolation : c_obj -> c_obj
val _delete_ForwardFlatInterpolation : c_obj -> c_obj

val create_SafeForwardFlatInterpolation_from_ptr : c_obj -> c_obj


val new_CubicSpline : c_obj -> c_obj
val _new_CubicSpline : c_obj -> c_obj
val _delete_CubicSpline : c_obj -> c_obj

val create_SafeNaturalCubicSpline_from_ptr : c_obj -> c_obj


val new_MonotonicCubicSpline : c_obj -> c_obj
val _new_MonotonicCubicSpline : c_obj -> c_obj
val _delete_MonotonicCubicSpline : c_obj -> c_obj

val create_SafeNaturalMonotonicCubicSpline_from_ptr : c_obj -> c_obj


val new_BilinearInterpolation : c_obj -> c_obj
val _new_BilinearInterpolation : c_obj -> c_obj
val _delete_BilinearInterpolation : c_obj -> c_obj

val create_SafeBilinearInterpolation_from_ptr : c_obj -> c_obj


val new_BicubicSpline : c_obj -> c_obj
val _new_BicubicSpline : c_obj -> c_obj
val _delete_BicubicSpline : c_obj -> c_obj

val create_SafeBicubicSpline_from_ptr : c_obj -> c_obj


val new_BackwardFlat : c_obj -> c_obj
val _new_BackwardFlat : c_obj -> c_obj
val _delete_BackwardFlat : c_obj -> c_obj

val create_BackwardFlat_from_ptr : c_obj -> c_obj


val new_ForwardFlat : c_obj -> c_obj
val _new_ForwardFlat : c_obj -> c_obj
val _delete_ForwardFlat : c_obj -> c_obj

val create_ForwardFlat_from_ptr : c_obj -> c_obj


val new_Linear : c_obj -> c_obj
val _new_Linear : c_obj -> c_obj
val _delete_Linear : c_obj -> c_obj

val create_Linear_from_ptr : c_obj -> c_obj


val new_LogLinear : c_obj -> c_obj
val _new_LogLinear : c_obj -> c_obj
val _delete_LogLinear : c_obj -> c_obj

val create_LogLinear_from_ptr : c_obj -> c_obj


val new_Cubic : c_obj -> c_obj
val _new_Cubic : c_obj -> c_obj
val _delete_Cubic : c_obj -> c_obj

val create_Cubic_from_ptr : c_obj -> c_obj


val new_YieldTermStructure : c_obj -> c_obj
val _new_YieldTermStructure : c_obj -> c_obj
val _delete_YieldTermStructure : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenYieldTermStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_YieldTermStructureHandle : c_obj -> c_obj
val _new_YieldTermStructureHandle : c_obj -> c_obj
val new_YieldTermStructureHandle : c_obj -> c_obj
val _new_YieldTermStructureHandle : c_obj -> c_obj
val _delete_YieldTermStructureHandle : c_obj -> c_obj

val create_Handle_xx_ldbrace_xx_lparenYieldTermStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_ImpliedTermStructure : c_obj -> c_obj
val _new_ImpliedTermStructure : c_obj -> c_obj
val _delete_ImpliedTermStructure : c_obj -> c_obj

val create_ImpliedTermStructurePtr_from_ptr : c_obj -> c_obj


val new_ZeroSpreadedTermStructure : c_obj -> c_obj
val _new_ZeroSpreadedTermStructure : c_obj -> c_obj
val _delete_ZeroSpreadedTermStructure : c_obj -> c_obj

val create_ZeroSpreadedTermStructurePtr_from_ptr : c_obj -> c_obj


val new_ForwardSpreadedTermStructure : c_obj -> c_obj
val _new_ForwardSpreadedTermStructure : c_obj -> c_obj
val _delete_ForwardSpreadedTermStructure : c_obj -> c_obj

val create_ForwardSpreadedTermStructurePtr_from_ptr : c_obj -> c_obj


val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val new_FlatForward : c_obj -> c_obj
val _new_FlatForward : c_obj -> c_obj
val _delete_FlatForward : c_obj -> c_obj

val create_FlatForwardPtr_from_ptr : c_obj -> c_obj


val new_BlackModel : c_obj -> c_obj
val _new_BlackModel : c_obj -> c_obj
val _delete_BlackModel : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenBlackModel_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_PricingEngine : c_obj -> c_obj
val _new_PricingEngine : c_obj -> c_obj
val _delete_PricingEngine : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenPricingEngine_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_Instrument : c_obj -> c_obj
val _new_Instrument : c_obj -> c_obj
val _delete_Instrument : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenInstrument_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_Stock : c_obj -> c_obj
val _new_Stock : c_obj -> c_obj
val _delete_Stock : c_obj -> c_obj

val create_StockPtr_from_ptr : c_obj -> c_obj


val new_IntVector : c_obj -> c_obj
val _new_IntVector : c_obj -> c_obj
val new_IntVector : c_obj -> c_obj
val _new_IntVector : c_obj -> c_obj
val new_IntVector : c_obj -> c_obj
val _new_IntVector : c_obj -> c_obj
val new_IntVector : c_obj -> c_obj
val _new_IntVector : c_obj -> c_obj
val _delete_IntVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenint_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_DoubleVector : c_obj -> c_obj
val _new_DoubleVector : c_obj -> c_obj
val new_DoubleVector : c_obj -> c_obj
val _new_DoubleVector : c_obj -> c_obj
val new_DoubleVector : c_obj -> c_obj
val _new_DoubleVector : c_obj -> c_obj
val new_DoubleVector : c_obj -> c_obj
val _new_DoubleVector : c_obj -> c_obj
val _delete_DoubleVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparendouble_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_StrVector : c_obj -> c_obj
val _new_StrVector : c_obj -> c_obj
val new_StrVector : c_obj -> c_obj
val _new_StrVector : c_obj -> c_obj
val new_StrVector : c_obj -> c_obj
val _new_StrVector : c_obj -> c_obj
val new_StrVector : c_obj -> c_obj
val _new_StrVector : c_obj -> c_obj
val _delete_StrVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenstring_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val _delete_HistoryEntry : c_obj -> c_obj

val create_HistoryEntry_from_ptr : c_obj -> c_obj


val new_History : c_obj -> c_obj
val _new_History : c_obj -> c_obj
val _delete_History : c_obj -> c_obj

val create_History_from_ptr : c_obj -> c_obj


val _IndexManager_instance : c_obj -> c_obj
val _delete_IndexManager : c_obj -> c_obj

val create_IndexManager_from_ptr : c_obj -> c_obj


val new_Index : c_obj -> c_obj
val _new_Index : c_obj -> c_obj
val _delete_Index : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenIndex_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_Xibor : c_obj -> c_obj
val _new_Xibor : c_obj -> c_obj
val _delete_Xibor : c_obj -> c_obj

val create_XiborPtr_from_ptr : c_obj -> c_obj


val new_AUDLibor : c_obj -> c_obj
val _new_AUDLibor : c_obj -> c_obj
val new_AUDLibor : c_obj -> c_obj
val _new_AUDLibor : c_obj -> c_obj
val _delete_AUDLibor : c_obj -> c_obj

val create_AUDLiborPtr_from_ptr : c_obj -> c_obj


val new_CADLibor : c_obj -> c_obj
val _new_CADLibor : c_obj -> c_obj
val new_CADLibor : c_obj -> c_obj
val _new_CADLibor : c_obj -> c_obj
val _delete_CADLibor : c_obj -> c_obj

val create_CADLiborPtr_from_ptr : c_obj -> c_obj


val new_Cdor : c_obj -> c_obj
val _new_Cdor : c_obj -> c_obj
val new_Cdor : c_obj -> c_obj
val _new_Cdor : c_obj -> c_obj
val _delete_Cdor : c_obj -> c_obj

val create_CdorPtr_from_ptr : c_obj -> c_obj


val new_CHFLibor : c_obj -> c_obj
val _new_CHFLibor : c_obj -> c_obj
val new_CHFLibor : c_obj -> c_obj
val _new_CHFLibor : c_obj -> c_obj
val _delete_CHFLibor : c_obj -> c_obj

val create_CHFLiborPtr_from_ptr : c_obj -> c_obj


val new_Euribor : c_obj -> c_obj
val _new_Euribor : c_obj -> c_obj
val new_Euribor : c_obj -> c_obj
val _new_Euribor : c_obj -> c_obj
val _delete_Euribor : c_obj -> c_obj

val create_EuriborPtr_from_ptr : c_obj -> c_obj


val new_GBPLibor : c_obj -> c_obj
val _new_GBPLibor : c_obj -> c_obj
val new_GBPLibor : c_obj -> c_obj
val _new_GBPLibor : c_obj -> c_obj
val _delete_GBPLibor : c_obj -> c_obj

val create_GBPLiborPtr_from_ptr : c_obj -> c_obj


val new_Jibar : c_obj -> c_obj
val _new_Jibar : c_obj -> c_obj
val new_Jibar : c_obj -> c_obj
val _new_Jibar : c_obj -> c_obj
val _delete_Jibar : c_obj -> c_obj

val create_JibarPtr_from_ptr : c_obj -> c_obj


val new_JPYLibor : c_obj -> c_obj
val _new_JPYLibor : c_obj -> c_obj
val new_JPYLibor : c_obj -> c_obj
val _new_JPYLibor : c_obj -> c_obj
val _delete_JPYLibor : c_obj -> c_obj

val create_JPYLiborPtr_from_ptr : c_obj -> c_obj


val new_Tibor : c_obj -> c_obj
val _new_Tibor : c_obj -> c_obj
val new_Tibor : c_obj -> c_obj
val _new_Tibor : c_obj -> c_obj
val _delete_Tibor : c_obj -> c_obj

val create_TiborPtr_from_ptr : c_obj -> c_obj


val new_TRLibor : c_obj -> c_obj
val _new_TRLibor : c_obj -> c_obj
val new_TRLibor : c_obj -> c_obj
val _new_TRLibor : c_obj -> c_obj
val _delete_TRLibor : c_obj -> c_obj

val create_TRLiborPtr_from_ptr : c_obj -> c_obj


val new_USDLibor : c_obj -> c_obj
val _new_USDLibor : c_obj -> c_obj
val new_USDLibor : c_obj -> c_obj
val _new_USDLibor : c_obj -> c_obj
val _delete_USDLibor : c_obj -> c_obj

val create_USDLiborPtr_from_ptr : c_obj -> c_obj


val new_Zibor : c_obj -> c_obj
val _new_Zibor : c_obj -> c_obj
val new_Zibor : c_obj -> c_obj
val _new_Zibor : c_obj -> c_obj
val _delete_Zibor : c_obj -> c_obj

val create_ZiborPtr_from_ptr : c_obj -> c_obj


val new_Schedule : c_obj -> c_obj
val _new_Schedule : c_obj -> c_obj
val new_Schedule : c_obj -> c_obj
val _new_Schedule : c_obj -> c_obj
val new_Schedule : c_obj -> c_obj
val _new_Schedule : c_obj -> c_obj
val new_Schedule : c_obj -> c_obj
val _new_Schedule : c_obj -> c_obj
val new_Schedule : c_obj -> c_obj
val _new_Schedule : c_obj -> c_obj
val _delete_Schedule : c_obj -> c_obj

val create_Schedule_from_ptr : c_obj -> c_obj


val new_BlackVolTermStructure : c_obj -> c_obj
val _new_BlackVolTermStructure : c_obj -> c_obj
val _delete_BlackVolTermStructure : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenBlackVolTermStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_BlackVolTermStructureHandle : c_obj -> c_obj
val _new_BlackVolTermStructureHandle : c_obj -> c_obj
val new_BlackVolTermStructureHandle : c_obj -> c_obj
val _new_BlackVolTermStructureHandle : c_obj -> c_obj
val _delete_BlackVolTermStructureHandle : c_obj -> c_obj

val create_Handle_xx_ldbrace_xx_lparenBlackVolTermStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_LocalVolTermStructure : c_obj -> c_obj
val _new_LocalVolTermStructure : c_obj -> c_obj
val _delete_LocalVolTermStructure : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenLocalVolTermStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_LocalVolTermStructureHandle : c_obj -> c_obj
val _new_LocalVolTermStructureHandle : c_obj -> c_obj
val new_LocalVolTermStructureHandle : c_obj -> c_obj
val _new_LocalVolTermStructureHandle : c_obj -> c_obj
val _delete_LocalVolTermStructureHandle : c_obj -> c_obj

val create_Handle_xx_ldbrace_xx_lparenLocalVolTermStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_CapletVolatilityStructure : c_obj -> c_obj
val _new_CapletVolatilityStructure : c_obj -> c_obj
val _delete_CapletVolatilityStructure : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenCapletVolatilityStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_CapletVolatilityStructureHandle : c_obj -> c_obj
val _new_CapletVolatilityStructureHandle : c_obj -> c_obj
val new_CapletVolatilityStructureHandle : c_obj -> c_obj
val _new_CapletVolatilityStructureHandle : c_obj -> c_obj
val _delete_CapletVolatilityStructureHandle : c_obj -> c_obj

val create_Handle_xx_ldbrace_xx_lparenCapletVolatilityStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_BlackConstantVol : c_obj -> c_obj
val _new_BlackConstantVol : c_obj -> c_obj
val new_BlackConstantVol : c_obj -> c_obj
val _new_BlackConstantVol : c_obj -> c_obj
val new_BlackConstantVol : c_obj -> c_obj
val _new_BlackConstantVol : c_obj -> c_obj
val new_BlackConstantVol : c_obj -> c_obj
val _new_BlackConstantVol : c_obj -> c_obj
val _delete_BlackConstantVol : c_obj -> c_obj

val create_BlackConstantVolPtr_from_ptr : c_obj -> c_obj


val new_BlackVarianceSurface : c_obj -> c_obj
val _new_BlackVarianceSurface : c_obj -> c_obj
val new_BlackVarianceSurface : c_obj -> c_obj
val _new_BlackVarianceSurface : c_obj -> c_obj
val new_BlackVarianceSurface : c_obj -> c_obj
val _new_BlackVarianceSurface : c_obj -> c_obj
val _delete_BlackVarianceSurface : c_obj -> c_obj

val create_BlackVarianceSurfacePtr_from_ptr : c_obj -> c_obj


val new_LocalConstantVol : c_obj -> c_obj
val _new_LocalConstantVol : c_obj -> c_obj
val new_LocalConstantVol : c_obj -> c_obj
val _new_LocalConstantVol : c_obj -> c_obj
val new_LocalConstantVol : c_obj -> c_obj
val _new_LocalConstantVol : c_obj -> c_obj
val new_LocalConstantVol : c_obj -> c_obj
val _new_LocalConstantVol : c_obj -> c_obj
val _delete_LocalConstantVol : c_obj -> c_obj

val create_LocalConstantVolPtr_from_ptr : c_obj -> c_obj


val new_CapletConstantVolatility : c_obj -> c_obj
val _new_CapletConstantVolatility : c_obj -> c_obj
val new_CapletConstantVolatility : c_obj -> c_obj
val _new_CapletConstantVolatility : c_obj -> c_obj
val new_CapletConstantVolatility : c_obj -> c_obj
val _new_CapletConstantVolatility : c_obj -> c_obj
val new_CapletConstantVolatility : c_obj -> c_obj
val _new_CapletConstantVolatility : c_obj -> c_obj
val _delete_CapletConstantVolatility : c_obj -> c_obj

val create_CapletConstantVolatilityPtr_from_ptr : c_obj -> c_obj


val new_CashFlow : c_obj -> c_obj
val _new_CashFlow : c_obj -> c_obj
val _delete_CashFlow : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenCashFlow_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_SimpleCashFlow : c_obj -> c_obj
val _new_SimpleCashFlow : c_obj -> c_obj
val _delete_SimpleCashFlow : c_obj -> c_obj

val create_SimpleCashFlowPtr_from_ptr : c_obj -> c_obj


val new_FixedRateCoupon : c_obj -> c_obj
val _new_FixedRateCoupon : c_obj -> c_obj
val new_FixedRateCoupon : c_obj -> c_obj
val _new_FixedRateCoupon : c_obj -> c_obj
val new_FixedRateCoupon : c_obj -> c_obj
val _new_FixedRateCoupon : c_obj -> c_obj
val _delete_FixedRateCoupon : c_obj -> c_obj

val create_FixedRateCouponPtr_from_ptr : c_obj -> c_obj


val new_ParCoupon : c_obj -> c_obj
val _new_ParCoupon : c_obj -> c_obj
val new_ParCoupon : c_obj -> c_obj
val _new_ParCoupon : c_obj -> c_obj
val new_ParCoupon : c_obj -> c_obj
val _new_ParCoupon : c_obj -> c_obj
val new_ParCoupon : c_obj -> c_obj
val _new_ParCoupon : c_obj -> c_obj
val _delete_ParCoupon : c_obj -> c_obj

val create_ParCouponPtr_from_ptr : c_obj -> c_obj


val new_FloatingRateCoupon : c_obj -> c_obj
val _new_FloatingRateCoupon : c_obj -> c_obj
val _delete_FloatingRateCoupon : c_obj -> c_obj

val create_FloatingRateCouponPtr_from_ptr : c_obj -> c_obj


val new_IndexedCoupon : c_obj -> c_obj
val _new_IndexedCoupon : c_obj -> c_obj
val _delete_IndexedCoupon : c_obj -> c_obj

val create_IndexedCouponPtr_from_ptr : c_obj -> c_obj


val new_UpFrontIndexedCoupon : c_obj -> c_obj
val _new_UpFrontIndexedCoupon : c_obj -> c_obj
val new_UpFrontIndexedCoupon : c_obj -> c_obj
val _new_UpFrontIndexedCoupon : c_obj -> c_obj
val new_UpFrontIndexedCoupon : c_obj -> c_obj
val _new_UpFrontIndexedCoupon : c_obj -> c_obj
val new_UpFrontIndexedCoupon : c_obj -> c_obj
val _new_UpFrontIndexedCoupon : c_obj -> c_obj
val new_UpFrontIndexedCoupon : c_obj -> c_obj
val _new_UpFrontIndexedCoupon : c_obj -> c_obj
val _delete_UpFrontIndexedCoupon : c_obj -> c_obj

val create_UpFrontIndexedCouponPtr_from_ptr : c_obj -> c_obj


val new_InArrearIndexedCoupon : c_obj -> c_obj
val _new_InArrearIndexedCoupon : c_obj -> c_obj
val new_InArrearIndexedCoupon : c_obj -> c_obj
val _new_InArrearIndexedCoupon : c_obj -> c_obj
val new_InArrearIndexedCoupon : c_obj -> c_obj
val _new_InArrearIndexedCoupon : c_obj -> c_obj
val new_InArrearIndexedCoupon : c_obj -> c_obj
val _new_InArrearIndexedCoupon : c_obj -> c_obj
val new_InArrearIndexedCoupon : c_obj -> c_obj
val _new_InArrearIndexedCoupon : c_obj -> c_obj
val _delete_InArrearIndexedCoupon : c_obj -> c_obj

val create_InArrearIndexedCouponPtr_from_ptr : c_obj -> c_obj


val new_CashFlowVector : c_obj -> c_obj
val _new_CashFlowVector : c_obj -> c_obj
val new_CashFlowVector : c_obj -> c_obj
val _new_CashFlowVector : c_obj -> c_obj
val new_CashFlowVector : c_obj -> c_obj
val _new_CashFlowVector : c_obj -> c_obj
val new_CashFlowVector : c_obj -> c_obj
val _new_CashFlowVector : c_obj -> c_obj
val _delete_CashFlowVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenboost_xxshared_ptr_xx_ldbrace_xx_lparenCashFlow_xx_rparen_xx_rdbrace_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val _FixedRateCouponVector : c_obj -> c_obj
val _FixedRateCouponVector : c_obj -> c_obj
val _FloatingRateCouponVector : c_obj -> c_obj
val _FloatingRateCouponVector : c_obj -> c_obj
val _ParCouponVector : c_obj -> c_obj
val _ParCouponVector : c_obj -> c_obj
val _InArrearIndexedCouponVector : c_obj -> c_obj
val _InArrearIndexedCouponVector : c_obj -> c_obj
val _Macaulay : c_obj -> Swig.c_obj
val _Modified : c_obj -> Swig.c_obj
val new_Duration : c_obj -> c_obj
val _new_Duration : c_obj -> c_obj
val _delete_Duration : c_obj -> c_obj

val create_Duration_from_ptr : c_obj -> c_obj


val _Cashflows_npv : c_obj -> c_obj
val _Cashflows_npv : c_obj -> c_obj
val _Cashflows_npv : c_obj -> c_obj
val _Cashflows_irr : c_obj -> c_obj
val _Cashflows_irr : c_obj -> c_obj
val _Cashflows_irr : c_obj -> c_obj
val _Cashflows_irr : c_obj -> c_obj
val _Cashflows_irr : c_obj -> c_obj
val _Cashflows_irr : c_obj -> c_obj
val _Cashflows_duration : c_obj -> c_obj
val _Cashflows_duration : c_obj -> c_obj
val _Cashflows_duration : c_obj -> c_obj
val _Cashflows_convexity : c_obj -> c_obj
val _Cashflows_convexity : c_obj -> c_obj
val _delete_Cashflows : c_obj -> c_obj

val create_Cashflows_from_ptr : c_obj -> c_obj


val _delete_Bond : c_obj -> c_obj

val create_BondPtr_from_ptr : c_obj -> c_obj


val new_ZeroCouponBond : c_obj -> c_obj
val _new_ZeroCouponBond : c_obj -> c_obj
val new_ZeroCouponBond : c_obj -> c_obj
val _new_ZeroCouponBond : c_obj -> c_obj
val new_ZeroCouponBond : c_obj -> c_obj
val _new_ZeroCouponBond : c_obj -> c_obj
val new_ZeroCouponBond : c_obj -> c_obj
val _new_ZeroCouponBond : c_obj -> c_obj
val _delete_ZeroCouponBond : c_obj -> c_obj

val create_ZeroCouponBondPtr_from_ptr : c_obj -> c_obj


val new_FixedCouponBond : c_obj -> c_obj
val _new_FixedCouponBond : c_obj -> c_obj
val new_FixedCouponBond : c_obj -> c_obj
val _new_FixedCouponBond : c_obj -> c_obj
val new_FixedCouponBond : c_obj -> c_obj
val _new_FixedCouponBond : c_obj -> c_obj
val new_FixedCouponBond : c_obj -> c_obj
val _new_FixedCouponBond : c_obj -> c_obj
val new_FixedCouponBond : c_obj -> c_obj
val _new_FixedCouponBond : c_obj -> c_obj
val new_FixedCouponBond : c_obj -> c_obj
val _new_FixedCouponBond : c_obj -> c_obj
val _delete_FixedCouponBond : c_obj -> c_obj

val create_FixedCouponBondPtr_from_ptr : c_obj -> c_obj


val new_FloatingRateBond : c_obj -> c_obj
val _new_FloatingRateBond : c_obj -> c_obj
val new_FloatingRateBond : c_obj -> c_obj
val _new_FloatingRateBond : c_obj -> c_obj
val new_FloatingRateBond : c_obj -> c_obj
val _new_FloatingRateBond : c_obj -> c_obj
val new_FloatingRateBond : c_obj -> c_obj
val _new_FloatingRateBond : c_obj -> c_obj
val new_FloatingRateBond : c_obj -> c_obj
val _new_FloatingRateBond : c_obj -> c_obj
val new_FloatingRateBond : c_obj -> c_obj
val _new_FloatingRateBond : c_obj -> c_obj
val _delete_FloatingRateBond : c_obj -> c_obj

val create_FloatingRateBondPtr_from_ptr : c_obj -> c_obj


val _Dirty : c_obj -> Swig.c_obj
val _Clean : c_obj -> Swig.c_obj
val new_Price : c_obj -> c_obj
val _new_Price : c_obj -> c_obj
val _delete_Price : c_obj -> c_obj

val create_Price_from_ptr : c_obj -> c_obj


val _Call : c_obj -> Swig.c_obj
val _Put : c_obj -> Swig.c_obj
val new_Callability : c_obj -> c_obj
val _new_Callability : c_obj -> c_obj
val _delete_Callability : c_obj -> c_obj

val create_Callability_from_ptr : c_obj -> c_obj


val new_CallabilityVector : c_obj -> c_obj
val _new_CallabilityVector : c_obj -> c_obj
val new_CallabilityVector : c_obj -> c_obj
val _new_CallabilityVector : c_obj -> c_obj
val new_CallabilityVector : c_obj -> c_obj
val _new_CallabilityVector : c_obj -> c_obj
val new_CallabilityVector : c_obj -> c_obj
val _new_CallabilityVector : c_obj -> c_obj
val _delete_CallabilityVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenCallability_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_Exercise : c_obj -> c_obj
val _new_Exercise : c_obj -> c_obj
val _delete_Exercise : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenExercise_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_EuropeanExercise : c_obj -> c_obj
val _new_EuropeanExercise : c_obj -> c_obj
val _delete_EuropeanExercise : c_obj -> c_obj

val create_EuropeanExercisePtr_from_ptr : c_obj -> c_obj


val new_AmericanExercise : c_obj -> c_obj
val _new_AmericanExercise : c_obj -> c_obj
val new_AmericanExercise : c_obj -> c_obj
val _new_AmericanExercise : c_obj -> c_obj
val _delete_AmericanExercise : c_obj -> c_obj

val create_AmericanExercisePtr_from_ptr : c_obj -> c_obj


val new_BermudanExercise : c_obj -> c_obj
val _new_BermudanExercise : c_obj -> c_obj
val new_BermudanExercise : c_obj -> c_obj
val _new_BermudanExercise : c_obj -> c_obj
val _delete_BermudanExercise : c_obj -> c_obj

val create_BermudanExercisePtr_from_ptr : c_obj -> c_obj


val new_StochasticProcess : c_obj -> c_obj
val _new_StochasticProcess : c_obj -> c_obj
val _delete_StochasticProcess : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenStochasticProcess_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val _delete_StochasticProcess1D : c_obj -> c_obj

val create_StochasticProcess1DPtr_from_ptr : c_obj -> c_obj


val new_BlackScholesProcess : c_obj -> c_obj
val _new_BlackScholesProcess : c_obj -> c_obj
val _delete_BlackScholesProcess : c_obj -> c_obj

val create_BlackScholesProcessPtr_from_ptr : c_obj -> c_obj


val new_Merton76Process : c_obj -> c_obj
val _new_Merton76Process : c_obj -> c_obj
val _delete_Merton76Process : c_obj -> c_obj

val create_Merton76ProcessPtr_from_ptr : c_obj -> c_obj


val new_StochasticProcess1DVector : c_obj -> c_obj
val _new_StochasticProcess1DVector : c_obj -> c_obj
val new_StochasticProcess1DVector : c_obj -> c_obj
val _new_StochasticProcess1DVector : c_obj -> c_obj
val new_StochasticProcess1DVector : c_obj -> c_obj
val _new_StochasticProcess1DVector : c_obj -> c_obj
val new_StochasticProcess1DVector : c_obj -> c_obj
val _new_StochasticProcess1DVector : c_obj -> c_obj
val _delete_StochasticProcess1DVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenStochasticProcess1DPtr_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val _delete_Option : c_obj -> c_obj

val create_Option_from_ptr : c_obj -> c_obj


val _DownIn : c_obj -> Swig.c_obj
val _UpIn : c_obj -> Swig.c_obj
val _DownOut : c_obj -> Swig.c_obj
val _UpOut : c_obj -> Swig.c_obj
val new_Barrier : c_obj -> c_obj
val _new_Barrier : c_obj -> c_obj
val _delete_Barrier : c_obj -> c_obj

val create_Barrier_from_ptr : c_obj -> c_obj


val new_Payoff : c_obj -> c_obj
val _new_Payoff : c_obj -> c_obj
val _delete_Payoff : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenPayoff_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_VanillaOption : c_obj -> c_obj
val _new_VanillaOption : c_obj -> c_obj
val new_VanillaOption : c_obj -> c_obj
val _new_VanillaOption : c_obj -> c_obj
val _delete_VanillaOption : c_obj -> c_obj

val create_VanillaOptionPtr_from_ptr : c_obj -> c_obj


val new_EuropeanOption : c_obj -> c_obj
val _new_EuropeanOption : c_obj -> c_obj
val new_EuropeanOption : c_obj -> c_obj
val _new_EuropeanOption : c_obj -> c_obj
val _delete_EuropeanOption : c_obj -> c_obj

val create_EuropeanOptionPtr_from_ptr : c_obj -> c_obj


val new_AnalyticEuropeanEngine : c_obj -> c_obj
val _new_AnalyticEuropeanEngine : c_obj -> c_obj
val _delete_AnalyticEuropeanEngine : c_obj -> c_obj

val create_AnalyticEuropeanEnginePtr_from_ptr : c_obj -> c_obj


val new_IntegralEngine : c_obj -> c_obj
val _new_IntegralEngine : c_obj -> c_obj
val _delete_IntegralEngine : c_obj -> c_obj

val create_IntegralEnginePtr_from_ptr : c_obj -> c_obj


val new_FDEuropeanEngine : c_obj -> c_obj
val _new_FDEuropeanEngine : c_obj -> c_obj
val new_FDEuropeanEngine : c_obj -> c_obj
val _new_FDEuropeanEngine : c_obj -> c_obj
val new_FDEuropeanEngine : c_obj -> c_obj
val _new_FDEuropeanEngine : c_obj -> c_obj
val new_FDEuropeanEngine : c_obj -> c_obj
val _new_FDEuropeanEngine : c_obj -> c_obj
val _delete_FDEuropeanEngine : c_obj -> c_obj

val create_FDEuropeanEnginePtr_from_ptr : c_obj -> c_obj


val new_BinomialEuropeanEngine : c_obj -> c_obj
val _new_BinomialEuropeanEngine : c_obj -> c_obj
val _delete_BinomialEuropeanEngine : c_obj -> c_obj

val create_BinomialVanillaEnginePtr_from_ptr : c_obj -> c_obj


val new_MCEuropeanEngine : c_obj -> c_obj
val _new_MCEuropeanEngine : c_obj -> c_obj
val _delete_MCEuropeanEngine : c_obj -> c_obj

val create_MCEuropeanEnginePtr_from_ptr : c_obj -> c_obj


val new_FDAmericanEngine : c_obj -> c_obj
val _new_FDAmericanEngine : c_obj -> c_obj
val new_FDAmericanEngine : c_obj -> c_obj
val _new_FDAmericanEngine : c_obj -> c_obj
val new_FDAmericanEngine : c_obj -> c_obj
val _new_FDAmericanEngine : c_obj -> c_obj
val new_FDAmericanEngine : c_obj -> c_obj
val _new_FDAmericanEngine : c_obj -> c_obj
val _delete_FDAmericanEngine : c_obj -> c_obj

val create_FDAmericanEnginePtr_from_ptr : c_obj -> c_obj


val new_FDShoutEngine : c_obj -> c_obj
val _new_FDShoutEngine : c_obj -> c_obj
val new_FDShoutEngine : c_obj -> c_obj
val _new_FDShoutEngine : c_obj -> c_obj
val new_FDShoutEngine : c_obj -> c_obj
val _new_FDShoutEngine : c_obj -> c_obj
val new_FDShoutEngine : c_obj -> c_obj
val _new_FDShoutEngine : c_obj -> c_obj
val _delete_FDShoutEngine : c_obj -> c_obj

val create_FDShoutEnginePtr_from_ptr : c_obj -> c_obj


val new_BaroneAdesiWhaleyEngine : c_obj -> c_obj
val _new_BaroneAdesiWhaleyEngine : c_obj -> c_obj
val _delete_BaroneAdesiWhaleyEngine : c_obj -> c_obj

val create_BaroneAdesiWhaleyApproximationEnginePtr_from_ptr : c_obj -> c_obj


val new_BjerksundStenslandEngine : c_obj -> c_obj
val _new_BjerksundStenslandEngine : c_obj -> c_obj
val _delete_BjerksundStenslandEngine : c_obj -> c_obj

val create_BjerksundStenslandApproximationEnginePtr_from_ptr : c_obj -> c_obj


val new_AnalyticDigitalAmericanEngine : c_obj -> c_obj
val _new_AnalyticDigitalAmericanEngine : c_obj -> c_obj
val _delete_AnalyticDigitalAmericanEngine : c_obj -> c_obj

val create_AnalyticDigitalAmericanEnginePtr_from_ptr : c_obj -> c_obj


val new_DividendVanillaOption : c_obj -> c_obj
val _new_DividendVanillaOption : c_obj -> c_obj
val new_DividendVanillaOption : c_obj -> c_obj
val _new_DividendVanillaOption : c_obj -> c_obj
val _delete_DividendVanillaOption : c_obj -> c_obj

val create_DividendVanillaOptionPtr_from_ptr : c_obj -> c_obj


val new_AnalyticDividendEuropeanEngine : c_obj -> c_obj
val _new_AnalyticDividendEuropeanEngine : c_obj -> c_obj
val _delete_AnalyticDividendEuropeanEngine : c_obj -> c_obj

val create_AnalyticDividendEuropeanEnginePtr_from_ptr : c_obj -> c_obj


val new_FDDividendEuropeanEngine : c_obj -> c_obj
val _new_FDDividendEuropeanEngine : c_obj -> c_obj
val new_FDDividendEuropeanEngine : c_obj -> c_obj
val _new_FDDividendEuropeanEngine : c_obj -> c_obj
val new_FDDividendEuropeanEngine : c_obj -> c_obj
val _new_FDDividendEuropeanEngine : c_obj -> c_obj
val new_FDDividendEuropeanEngine : c_obj -> c_obj
val _new_FDDividendEuropeanEngine : c_obj -> c_obj
val _delete_FDDividendEuropeanEngine : c_obj -> c_obj

val create_FDDividendEuropeanEnginePtr_from_ptr : c_obj -> c_obj


val new_FDDividendAmericanEngine : c_obj -> c_obj
val _new_FDDividendAmericanEngine : c_obj -> c_obj
val new_FDDividendAmericanEngine : c_obj -> c_obj
val _new_FDDividendAmericanEngine : c_obj -> c_obj
val new_FDDividendAmericanEngine : c_obj -> c_obj
val _new_FDDividendAmericanEngine : c_obj -> c_obj
val new_FDDividendAmericanEngine : c_obj -> c_obj
val _new_FDDividendAmericanEngine : c_obj -> c_obj
val _delete_FDDividendAmericanEngine : c_obj -> c_obj

val create_FDDividendAmericanEnginePtr_from_ptr : c_obj -> c_obj


val new_BarrierOption : c_obj -> c_obj
val _new_BarrierOption : c_obj -> c_obj
val new_BarrierOption : c_obj -> c_obj
val _new_BarrierOption : c_obj -> c_obj
val _delete_BarrierOption : c_obj -> c_obj

val create_BarrierOptionPtr_from_ptr : c_obj -> c_obj


val new_AnalyticBarrierEngine : c_obj -> c_obj
val _new_AnalyticBarrierEngine : c_obj -> c_obj
val _delete_AnalyticBarrierEngine : c_obj -> c_obj

val create_AnalyticBarrierEnginePtr_from_ptr : c_obj -> c_obj


val new_MCBarrierEngine : c_obj -> c_obj
val _new_MCBarrierEngine : c_obj -> c_obj
val _delete_MCBarrierEngine : c_obj -> c_obj

val create_MCBarrierEnginePtr_from_ptr : c_obj -> c_obj


val new_CapFloor : c_obj -> c_obj
val _new_CapFloor : c_obj -> c_obj
val _delete_CapFloor : c_obj -> c_obj

val create_CapFloorPtr_from_ptr : c_obj -> c_obj


val new_Cap : c_obj -> c_obj
val _new_Cap : c_obj -> c_obj
val _delete_Cap : c_obj -> c_obj

val create_CapPtr_from_ptr : c_obj -> c_obj


val new_Floor : c_obj -> c_obj
val _new_Floor : c_obj -> c_obj
val _delete_Floor : c_obj -> c_obj

val create_FloorPtr_from_ptr : c_obj -> c_obj


val new_Collar : c_obj -> c_obj
val _new_Collar : c_obj -> c_obj
val _delete_Collar : c_obj -> c_obj

val create_CollarPtr_from_ptr : c_obj -> c_obj


val new_BlackCapFloorEngine : c_obj -> c_obj
val _new_BlackCapFloorEngine : c_obj -> c_obj
val _delete_BlackCapFloorEngine : c_obj -> c_obj

val create_BlackCapFloorEnginePtr_from_ptr : c_obj -> c_obj


val new_CompoundForward : c_obj -> c_obj
val _new_CompoundForward : c_obj -> c_obj
val _delete_CompoundForward : c_obj -> c_obj

val create_CompoundForwardPtr_from_ptr : c_obj -> c_obj


val new_FixedDividend : c_obj -> c_obj
val _new_FixedDividend : c_obj -> c_obj
val _delete_FixedDividend : c_obj -> c_obj

val create_FixedDividendPtr_from_ptr : c_obj -> c_obj


val new_FractionalDividend : c_obj -> c_obj
val _new_FractionalDividend : c_obj -> c_obj
val _delete_FractionalDividend : c_obj -> c_obj

val create_FractionalDividendPtr_from_ptr : c_obj -> c_obj


val new_DividendSchedule : c_obj -> c_obj
val _new_DividendSchedule : c_obj -> c_obj
val new_DividendSchedule : c_obj -> c_obj
val _new_DividendSchedule : c_obj -> c_obj
val _delete_DividendSchedule : c_obj -> c_obj

val create_DividendSchedule_from_ptr : c_obj -> c_obj


val new_ConvertibleZeroCouponBond : c_obj -> c_obj
val _new_ConvertibleZeroCouponBond : c_obj -> c_obj
val new_ConvertibleZeroCouponBond : c_obj -> c_obj
val _new_ConvertibleZeroCouponBond : c_obj -> c_obj
val _delete_ConvertibleZeroCouponBond : c_obj -> c_obj

val create_ConvertibleZeroCouponBondPtr_from_ptr : c_obj -> c_obj


val new_ConvertibleFixedCouponBond : c_obj -> c_obj
val _new_ConvertibleFixedCouponBond : c_obj -> c_obj
val new_ConvertibleFixedCouponBond : c_obj -> c_obj
val _new_ConvertibleFixedCouponBond : c_obj -> c_obj
val _delete_ConvertibleFixedCouponBond : c_obj -> c_obj

val create_ConvertibleFixedCouponBondPtr_from_ptr : c_obj -> c_obj


val new_ConvertibleFloatingRateBond : c_obj -> c_obj
val _new_ConvertibleFloatingRateBond : c_obj -> c_obj
val new_ConvertibleFloatingRateBond : c_obj -> c_obj
val _new_ConvertibleFloatingRateBond : c_obj -> c_obj
val _delete_ConvertibleFloatingRateBond : c_obj -> c_obj

val create_ConvertibleFloatingRateBondPtr_from_ptr : c_obj -> c_obj


val new_BinomialConvertibleEngine : c_obj -> c_obj
val _new_BinomialConvertibleEngine : c_obj -> c_obj
val _delete_BinomialConvertibleEngine : c_obj -> c_obj

val create_BinomialConvertibleEnginePtr_from_ptr : c_obj -> c_obj


val new_DiscountCurve : c_obj -> c_obj
val _new_DiscountCurve : c_obj -> c_obj
val new_DiscountCurve : c_obj -> c_obj
val _new_DiscountCurve : c_obj -> c_obj
val _delete_DiscountCurve : c_obj -> c_obj

val create_DiscountCurvePtr_from_ptr : c_obj -> c_obj


val new_NormalDistribution : c_obj -> c_obj
val _new_NormalDistribution : c_obj -> c_obj
val new_NormalDistribution : c_obj -> c_obj
val _new_NormalDistribution : c_obj -> c_obj
val new_NormalDistribution : c_obj -> c_obj
val _new_NormalDistribution : c_obj -> c_obj
val _delete_NormalDistribution : c_obj -> c_obj

val create_NormalDistribution_from_ptr : c_obj -> c_obj


val new_CumulativeNormalDistribution : c_obj -> c_obj
val _new_CumulativeNormalDistribution : c_obj -> c_obj
val new_CumulativeNormalDistribution : c_obj -> c_obj
val _new_CumulativeNormalDistribution : c_obj -> c_obj
val new_CumulativeNormalDistribution : c_obj -> c_obj
val _new_CumulativeNormalDistribution : c_obj -> c_obj
val _delete_CumulativeNormalDistribution : c_obj -> c_obj

val create_CumulativeNormalDistribution_from_ptr : c_obj -> c_obj


val new_InverseCumulativeNormal : c_obj -> c_obj
val _new_InverseCumulativeNormal : c_obj -> c_obj
val new_InverseCumulativeNormal : c_obj -> c_obj
val _new_InverseCumulativeNormal : c_obj -> c_obj
val new_InverseCumulativeNormal : c_obj -> c_obj
val _new_InverseCumulativeNormal : c_obj -> c_obj
val _delete_InverseCumulativeNormal : c_obj -> c_obj

val create_InverseCumulativeNormal_from_ptr : c_obj -> c_obj


val new_MoroInverseCumulativeNormal : c_obj -> c_obj
val _new_MoroInverseCumulativeNormal : c_obj -> c_obj
val new_MoroInverseCumulativeNormal : c_obj -> c_obj
val _new_MoroInverseCumulativeNormal : c_obj -> c_obj
val new_MoroInverseCumulativeNormal : c_obj -> c_obj
val _new_MoroInverseCumulativeNormal : c_obj -> c_obj
val _delete_MoroInverseCumulativeNormal : c_obj -> c_obj

val create_MoroInverseCumulativeNormal_from_ptr : c_obj -> c_obj


val new_Money : c_obj -> c_obj
val _new_Money : c_obj -> c_obj
val new_Money : c_obj -> c_obj
val _new_Money : c_obj -> c_obj
val _NoConversion : c_obj -> Swig.c_obj
val _BaseCurrencyConversion : c_obj -> Swig.c_obj
val _AutomatedConversion : c_obj -> Swig.c_obj
val _Money_setConversionType : c_obj -> c_obj
val _Money_setBaseCurrency : c_obj -> c_obj
val _delete_Money : c_obj -> c_obj

val create_Money_from_ptr : c_obj -> c_obj


val _Direct : c_obj -> Swig.c_obj
val _Derived : c_obj -> Swig.c_obj
val new_ExchangeRate : c_obj -> c_obj
val _new_ExchangeRate : c_obj -> c_obj
val _ExchangeRate_chain : c_obj -> c_obj
val _delete_ExchangeRate : c_obj -> c_obj

val create_ExchangeRate_from_ptr : c_obj -> c_obj


val _ExchangeRateManager_instance : c_obj -> c_obj
val _delete_ExchangeRateManager : c_obj -> c_obj

val create_ExchangeRateManager_from_ptr : c_obj -> c_obj


val new_ForwardCurve : c_obj -> c_obj
val _new_ForwardCurve : c_obj -> c_obj
val new_ForwardCurve : c_obj -> c_obj
val _new_ForwardCurve : c_obj -> c_obj
val _delete_ForwardCurve : c_obj -> c_obj

val create_ForwardCurvePtr_from_ptr : c_obj -> c_obj


val new_TimeGrid : c_obj -> c_obj
val _new_TimeGrid : c_obj -> c_obj
val new_TimeGrid : c_obj -> c_obj
val _new_TimeGrid : c_obj -> c_obj
val new_TimeGrid : c_obj -> c_obj
val _new_TimeGrid : c_obj -> c_obj
val new_TimeGrid : c_obj -> c_obj
val _new_TimeGrid : c_obj -> c_obj
val _delete_TimeGrid : c_obj -> c_obj

val create_TimeGrid_from_ptr : c_obj -> c_obj


val new_SegmentIntegral : c_obj -> c_obj
val _new_SegmentIntegral : c_obj -> c_obj
val _delete_SegmentIntegral : c_obj -> c_obj

val create_SegmentIntegral_from_ptr : c_obj -> c_obj


val new_TrapezoidIntegral : c_obj -> c_obj
val _new_TrapezoidIntegral : c_obj -> c_obj
val _delete_TrapezoidIntegral : c_obj -> c_obj

val create_TrapezoidIntegral_from_ptr : c_obj -> c_obj


val new_SimpsonIntegral : c_obj -> c_obj
val _new_SimpsonIntegral : c_obj -> c_obj
val _delete_SimpsonIntegral : c_obj -> c_obj

val create_SimpsonIntegral_from_ptr : c_obj -> c_obj


val new_KronrodIntegral : c_obj -> c_obj
val _new_KronrodIntegral : c_obj -> c_obj
val _delete_KronrodIntegral : c_obj -> c_obj

val create_KronrodIntegral_from_ptr : c_obj -> c_obj


val _delete_SampleNumber : c_obj -> c_obj

val create_Sample_xx_ldbrace_xx_lparenReal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val _delete_SampleArray : c_obj -> c_obj

val create_Sample_xx_ldbrace_xx_lparenArray_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_LecuyerUniformRng : c_obj -> c_obj
val _new_LecuyerUniformRng : c_obj -> c_obj
val new_LecuyerUniformRng : c_obj -> c_obj
val _new_LecuyerUniformRng : c_obj -> c_obj
val _delete_LecuyerUniformRng : c_obj -> c_obj

val create_LecuyerUniformRng_from_ptr : c_obj -> c_obj


val _delete_KnuthUniformRng : c_obj -> c_obj

val create_KnuthUniformRng_from_ptr : c_obj -> c_obj


val _delete_MersenneTwisterUniformRng : c_obj -> c_obj

val create_MersenneTwisterUniformRng_from_ptr : c_obj -> c_obj


val new_UniformRandomGenerator : c_obj -> c_obj
val _new_UniformRandomGenerator : c_obj -> c_obj
val new_UniformRandomGenerator : c_obj -> c_obj
val _new_UniformRandomGenerator : c_obj -> c_obj
val _delete_UniformRandomGenerator : c_obj -> c_obj

val create_UniformRandomGenerator_from_ptr : c_obj -> c_obj


val new_CentralLimitLecuyerGaussianRng : c_obj -> c_obj
val _new_CentralLimitLecuyerGaussianRng : c_obj -> c_obj
val _delete_CentralLimitLecuyerGaussianRng : c_obj -> c_obj

val create_CLGaussianRng_xx_ldbrace_xx_lparenLecuyerUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_CentralLimitKnuthGaussianRng : c_obj -> c_obj
val _new_CentralLimitKnuthGaussianRng : c_obj -> c_obj
val _delete_CentralLimitKnuthGaussianRng : c_obj -> c_obj

val create_CLGaussianRng_xx_ldbrace_xx_lparenKnuthUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_CentralLimitMersenneTwisterGaussianRng : c_obj -> c_obj
val _new_CentralLimitMersenneTwisterGaussianRng : c_obj -> c_obj
val _delete_CentralLimitMersenneTwisterGaussianRng : c_obj -> c_obj

val create_CLGaussianRng_xx_ldbrace_xx_lparenMersenneTwisterUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_BoxMullerLecuyerGaussianRng : c_obj -> c_obj
val _new_BoxMullerLecuyerGaussianRng : c_obj -> c_obj
val _delete_BoxMullerLecuyerGaussianRng : c_obj -> c_obj

val create_BoxMullerGaussianRng_xx_ldbrace_xx_lparenLecuyerUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_BoxMullerKnuthGaussianRng : c_obj -> c_obj
val _new_BoxMullerKnuthGaussianRng : c_obj -> c_obj
val _delete_BoxMullerKnuthGaussianRng : c_obj -> c_obj

val create_BoxMullerGaussianRng_xx_ldbrace_xx_lparenKnuthUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_BoxMullerMersenneTwisterGaussianRng : c_obj -> c_obj
val _new_BoxMullerMersenneTwisterGaussianRng : c_obj -> c_obj
val _delete_BoxMullerMersenneTwisterGaussianRng : c_obj -> c_obj

val create_BoxMullerGaussianRng_xx_ldbrace_xx_lparenMersenneTwisterUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_MoroInvCumulativeLecuyerGaussianRng : c_obj -> c_obj
val _new_MoroInvCumulativeLecuyerGaussianRng : c_obj -> c_obj
val _delete_MoroInvCumulativeLecuyerGaussianRng : c_obj -> c_obj

val create_InverseCumulativeRng_xx_ldbrace_xx_lparenLecuyerUniformRng_xMoroInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_MoroInvCumulativeKnuthGaussianRng : c_obj -> c_obj
val _new_MoroInvCumulativeKnuthGaussianRng : c_obj -> c_obj
val _delete_MoroInvCumulativeKnuthGaussianRng : c_obj -> c_obj

val create_InverseCumulativeRng_xx_ldbrace_xx_lparenKnuthUniformRng_xMoroInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_MoroInvCumulativeMersenneTwisterGaussianRng : c_obj -> c_obj
val _new_MoroInvCumulativeMersenneTwisterGaussianRng : c_obj -> c_obj
val _delete_MoroInvCumulativeMersenneTwisterGaussianRng : c_obj -> c_obj

val create_InverseCumulativeRng_xx_ldbrace_xx_lparenMersenneTwisterUniformRng_xMoroInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_InvCumulativeLecuyerGaussianRng : c_obj -> c_obj
val _new_InvCumulativeLecuyerGaussianRng : c_obj -> c_obj
val _delete_InvCumulativeLecuyerGaussianRng : c_obj -> c_obj

val create_InverseCumulativeRng_xx_ldbrace_xx_lparenLecuyerUniformRng_xInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_InvCumulativeKnuthGaussianRng : c_obj -> c_obj
val _new_InvCumulativeKnuthGaussianRng : c_obj -> c_obj
val _delete_InvCumulativeKnuthGaussianRng : c_obj -> c_obj

val create_InverseCumulativeRng_xx_ldbrace_xx_lparenKnuthUniformRng_xInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_InvCumulativeMersenneTwisterGaussianRng : c_obj -> c_obj
val _new_InvCumulativeMersenneTwisterGaussianRng : c_obj -> c_obj
val _delete_InvCumulativeMersenneTwisterGaussianRng : c_obj -> c_obj

val create_InverseCumulativeRng_xx_ldbrace_xx_lparenMersenneTwisterUniformRng_xInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_GaussianRandomGenerator : c_obj -> c_obj
val _new_GaussianRandomGenerator : c_obj -> c_obj
val _delete_GaussianRandomGenerator : c_obj -> c_obj

val create_GaussianRandomGenerator_from_ptr : c_obj -> c_obj


val new_HaltonRsg : c_obj -> c_obj
val _new_HaltonRsg : c_obj -> c_obj
val _delete_HaltonRsg : c_obj -> c_obj

val create_HaltonRsg_from_ptr : c_obj -> c_obj


val new_SobolRsg : c_obj -> c_obj
val _new_SobolRsg : c_obj -> c_obj
val new_SobolRsg : c_obj -> c_obj
val _new_SobolRsg : c_obj -> c_obj
val _delete_SobolRsg : c_obj -> c_obj

val create_SobolRsg_from_ptr : c_obj -> c_obj


val new_LecuyerUniformRsg : c_obj -> c_obj
val _new_LecuyerUniformRsg : c_obj -> c_obj
val _delete_LecuyerUniformRsg : c_obj -> c_obj

val create_RandomSequenceGenerator_xx_ldbrace_xx_lparenLecuyerUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_KnuthUniformRsg : c_obj -> c_obj
val _new_KnuthUniformRsg : c_obj -> c_obj
val _delete_KnuthUniformRsg : c_obj -> c_obj

val create_RandomSequenceGenerator_xx_ldbrace_xx_lparenKnuthUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_MersenneTwisterUniformRsg : c_obj -> c_obj
val _new_MersenneTwisterUniformRsg : c_obj -> c_obj
val _delete_MersenneTwisterUniformRsg : c_obj -> c_obj

val create_RandomSequenceGenerator_xx_ldbrace_xx_lparenMersenneTwisterUniformRng_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_UniformRandomSequenceGenerator : c_obj -> c_obj
val _new_UniformRandomSequenceGenerator : c_obj -> c_obj
val _delete_UniformRandomSequenceGenerator : c_obj -> c_obj

val create_UniformRandomSequenceGenerator_from_ptr : c_obj -> c_obj


val new_UniformLowDiscrepancySequenceGenerator : c_obj -> c_obj
val _new_UniformLowDiscrepancySequenceGenerator : c_obj -> c_obj
val _delete_UniformLowDiscrepancySequenceGenerator : c_obj -> c_obj

val create_UniformLowDiscrepancySequenceGenerator_from_ptr : c_obj -> c_obj


val new_MoroInvCumulativeLecuyerGaussianRsg : c_obj -> c_obj
val _new_MoroInvCumulativeLecuyerGaussianRsg : c_obj -> c_obj
val _delete_MoroInvCumulativeLecuyerGaussianRsg : c_obj -> c_obj

val create_InverseCumulativeRsg_xx_ldbrace_xx_lparenRandomSequenceGenerator_xx_ldbrace_xx_lparenLecuyerUniformRng_xx_rparen_xx_rdbrace_xMoroInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_MoroInvCumulativeKnuthGaussianRsg : c_obj -> c_obj
val _new_MoroInvCumulativeKnuthGaussianRsg : c_obj -> c_obj
val _delete_MoroInvCumulativeKnuthGaussianRsg : c_obj -> c_obj

val create_InverseCumulativeRsg_xx_ldbrace_xx_lparenRandomSequenceGenerator_xx_ldbrace_xx_lparenKnuthUniformRng_xx_rparen_xx_rdbrace_xMoroInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_MoroInvCumulativeMersenneTwisterGaussianRsg : c_obj -> c_obj
val _new_MoroInvCumulativeMersenneTwisterGaussianRsg : c_obj -> c_obj
val _delete_MoroInvCumulativeMersenneTwisterGaussianRsg : c_obj -> c_obj

val create_InverseCumulativeRsg_xx_ldbrace_xx_lparenRandomSequenceGenerator_xx_ldbrace_xx_lparenMersenneTwisterUniformRng_xx_rparen_xx_rdbrace_xMoroInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_MoroInvCumulativeHaltonGaussianRsg : c_obj -> c_obj
val _new_MoroInvCumulativeHaltonGaussianRsg : c_obj -> c_obj
val _delete_MoroInvCumulativeHaltonGaussianRsg : c_obj -> c_obj

val create_InverseCumulativeRsg_xx_ldbrace_xx_lparenHaltonRsg_xMoroInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_InvCumulativeLecuyerGaussianRsg : c_obj -> c_obj
val _new_InvCumulativeLecuyerGaussianRsg : c_obj -> c_obj
val _delete_InvCumulativeLecuyerGaussianRsg : c_obj -> c_obj

val create_InverseCumulativeRsg_xx_ldbrace_xx_lparenRandomSequenceGenerator_xx_ldbrace_xx_lparenLecuyerUniformRng_xx_rparen_xx_rdbrace_xInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_InvCumulativeKnuthGaussianRsg : c_obj -> c_obj
val _new_InvCumulativeKnuthGaussianRsg : c_obj -> c_obj
val _delete_InvCumulativeKnuthGaussianRsg : c_obj -> c_obj

val create_InverseCumulativeRsg_xx_ldbrace_xx_lparenRandomSequenceGenerator_xx_ldbrace_xx_lparenKnuthUniformRng_xx_rparen_xx_rdbrace_xInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_InvCumulativeMersenneTwisterGaussianRsg : c_obj -> c_obj
val _new_InvCumulativeMersenneTwisterGaussianRsg : c_obj -> c_obj
val _delete_InvCumulativeMersenneTwisterGaussianRsg : c_obj -> c_obj

val create_InverseCumulativeRsg_xx_ldbrace_xx_lparenRandomSequenceGenerator_xx_ldbrace_xx_lparenMersenneTwisterUniformRng_xx_rparen_xx_rdbrace_xInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_InvCumulativeHaltonGaussianRsg : c_obj -> c_obj
val _new_InvCumulativeHaltonGaussianRsg : c_obj -> c_obj
val _delete_InvCumulativeHaltonGaussianRsg : c_obj -> c_obj

val create_InverseCumulativeRsg_xx_ldbrace_xx_lparenHaltonRsg_xInverseCumulativeNormal_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_GaussianRandomSequenceGenerator : c_obj -> c_obj
val _new_GaussianRandomSequenceGenerator : c_obj -> c_obj
val _delete_GaussianRandomSequenceGenerator : c_obj -> c_obj

val create_GaussianRandomSequenceGenerator_from_ptr : c_obj -> c_obj


val new_GaussianLowDiscrepancySequenceGenerator : c_obj -> c_obj
val _new_GaussianLowDiscrepancySequenceGenerator : c_obj -> c_obj
val _delete_GaussianLowDiscrepancySequenceGenerator : c_obj -> c_obj

val create_GaussianLowDiscrepancySequenceGenerator_from_ptr : c_obj -> c_obj


val _getCovariance : c_obj -> c_obj
val _delete_Path : c_obj -> c_obj

val create_Path_from_ptr : c_obj -> c_obj


val _delete_SamplePath : c_obj -> c_obj

val create_Sample_xx_ldbrace_xx_lparenPath_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_GaussianPathGenerator : c_obj -> c_obj
val _new_GaussianPathGenerator : c_obj -> c_obj
val _delete_GaussianPathGenerator : c_obj -> c_obj

val create_GaussianPathGenerator_from_ptr : c_obj -> c_obj


val _delete_MultiPath : c_obj -> c_obj

val create_MultiPath_from_ptr : c_obj -> c_obj


val _delete_SampleMultiPath : c_obj -> c_obj

val create_Sample_xx_ldbrace_xx_lparenMultiPath_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_GaussianMultiPathGenerator : c_obj -> c_obj
val _new_GaussianMultiPathGenerator : c_obj -> c_obj
val new_GaussianMultiPathGenerator : c_obj -> c_obj
val _new_GaussianMultiPathGenerator : c_obj -> c_obj
val _delete_GaussianMultiPathGenerator : c_obj -> c_obj

val create_GaussianMultiPathGenerator_from_ptr : c_obj -> c_obj


val new_BoundaryCondition : c_obj -> c_obj
val _new_BoundaryCondition : c_obj -> c_obj
val _delete_BoundaryCondition : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenBoundaryCondition_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_NeumannBC : c_obj -> c_obj
val _new_NeumannBC : c_obj -> c_obj
val _delete_NeumannBC : c_obj -> c_obj

val create_NeumannBCPtr_from_ptr : c_obj -> c_obj


val new_DirichletBC : c_obj -> c_obj
val _new_DirichletBC : c_obj -> c_obj
val _delete_DirichletBC : c_obj -> c_obj

val create_DirichletBCPtr_from_ptr : c_obj -> c_obj


val new_TridiagonalOperator : c_obj -> c_obj
val _new_TridiagonalOperator : c_obj -> c_obj
val _TridiagonalOperator_identity : c_obj -> c_obj
val _delete_TridiagonalOperator : c_obj -> c_obj

val create_TridiagonalOperator_from_ptr : c_obj -> c_obj


val new_DPlus : c_obj -> c_obj
val _new_DPlus : c_obj -> c_obj
val _delete_DPlus : c_obj -> c_obj

val create_DPlus_from_ptr : c_obj -> c_obj


val new_DMinus : c_obj -> c_obj
val _new_DMinus : c_obj -> c_obj
val _delete_DMinus : c_obj -> c_obj

val create_DMinus_from_ptr : c_obj -> c_obj


val new_DZero : c_obj -> c_obj
val _new_DZero : c_obj -> c_obj
val _delete_DZero : c_obj -> c_obj

val create_DZero_from_ptr : c_obj -> c_obj


val new_DPlusDMinus : c_obj -> c_obj
val _new_DPlusDMinus : c_obj -> c_obj
val _delete_DPlusDMinus : c_obj -> c_obj

val create_DPlusDMinus_from_ptr : c_obj -> c_obj


val _valueAtCenter : c_obj -> c_obj
val _firstDerivativeAtCenter : c_obj -> c_obj
val _secondDerivativeAtCenter : c_obj -> c_obj
val _SymmetricEigenvalues : c_obj -> c_obj
val _SymmetricEigenvectors : c_obj -> c_obj
val new_Brent : c_obj -> c_obj
val _new_Brent : c_obj -> c_obj
val _delete_Brent : c_obj -> c_obj

val create_Brent_from_ptr : c_obj -> c_obj


val new_Bisection : c_obj -> c_obj
val _new_Bisection : c_obj -> c_obj
val _delete_Bisection : c_obj -> c_obj

val create_Bisection_from_ptr : c_obj -> c_obj


val new_FalsePosition : c_obj -> c_obj
val _new_FalsePosition : c_obj -> c_obj
val _delete_FalsePosition : c_obj -> c_obj

val create_FalsePosition_from_ptr : c_obj -> c_obj


val new_Ridder : c_obj -> c_obj
val _new_Ridder : c_obj -> c_obj
val _delete_Ridder : c_obj -> c_obj

val create_Ridder_from_ptr : c_obj -> c_obj


val new_Secant : c_obj -> c_obj
val _new_Secant : c_obj -> c_obj
val _delete_Secant : c_obj -> c_obj

val create_Secant_from_ptr : c_obj -> c_obj


val _delete_Constraint : c_obj -> c_obj

val create_Constraint_from_ptr : c_obj -> c_obj


val new_BoundaryConstraint : c_obj -> c_obj
val _new_BoundaryConstraint : c_obj -> c_obj
val _delete_BoundaryConstraint : c_obj -> c_obj

val create_BoundaryConstraint_from_ptr : c_obj -> c_obj


val new_NoConstraint : c_obj -> c_obj
val _new_NoConstraint : c_obj -> c_obj
val _delete_NoConstraint : c_obj -> c_obj

val create_NoConstraint_from_ptr : c_obj -> c_obj


val new_PositiveConstraint : c_obj -> c_obj
val _new_PositiveConstraint : c_obj -> c_obj
val _delete_PositiveConstraint : c_obj -> c_obj

val create_PositiveConstraint_from_ptr : c_obj -> c_obj


val new_EndCriteria : c_obj -> c_obj
val _new_EndCriteria : c_obj -> c_obj
val new_EndCriteria : c_obj -> c_obj
val _new_EndCriteria : c_obj -> c_obj
val _delete_EndCriteria : c_obj -> c_obj

val create_EndCriteria_from_ptr : c_obj -> c_obj


val _delete_OptimizationMethod : c_obj -> c_obj

val create_OptimizationMethod_from_ptr : c_obj -> c_obj


val new_ConjugateGradient : c_obj -> c_obj
val _new_ConjugateGradient : c_obj -> c_obj
val _delete_ConjugateGradient : c_obj -> c_obj

val create_ConjugateGradient_from_ptr : c_obj -> c_obj


val new_Simplex : c_obj -> c_obj
val _new_Simplex : c_obj -> c_obj
val _delete_Simplex : c_obj -> c_obj

val create_Simplex_from_ptr : c_obj -> c_obj


val new_SteepestDescent : c_obj -> c_obj
val _new_SteepestDescent : c_obj -> c_obj
val _delete_SteepestDescent : c_obj -> c_obj

val create_SteepestDescent_from_ptr : c_obj -> c_obj


val new_Optimizer : c_obj -> c_obj
val _new_Optimizer : c_obj -> c_obj
val _delete_Optimizer : c_obj -> c_obj

val create_Optimizer_from_ptr : c_obj -> c_obj


val new_PlainVanillaPayoff : c_obj -> c_obj
val _new_PlainVanillaPayoff : c_obj -> c_obj
val _delete_PlainVanillaPayoff : c_obj -> c_obj

val create_PlainVanillaPayoffPtr_from_ptr : c_obj -> c_obj


val new_PercentageStrikePayoff : c_obj -> c_obj
val _new_PercentageStrikePayoff : c_obj -> c_obj
val _delete_PercentageStrikePayoff : c_obj -> c_obj

val create_PercentageStrikePayoffPtr_from_ptr : c_obj -> c_obj


val new_CashOrNothingPayoff : c_obj -> c_obj
val _new_CashOrNothingPayoff : c_obj -> c_obj
val _delete_CashOrNothingPayoff : c_obj -> c_obj

val create_CashOrNothingPayoffPtr_from_ptr : c_obj -> c_obj


val new_AssetOrNothingPayoff : c_obj -> c_obj
val _new_AssetOrNothingPayoff : c_obj -> c_obj
val _delete_AssetOrNothingPayoff : c_obj -> c_obj

val create_AssetOrNothingPayoffPtr_from_ptr : c_obj -> c_obj


val new_SuperSharePayoff : c_obj -> c_obj
val _new_SuperSharePayoff : c_obj -> c_obj
val _delete_SuperSharePayoff : c_obj -> c_obj

val create_SuperSharePayoffPtr_from_ptr : c_obj -> c_obj


val new_GapPayoff : c_obj -> c_obj
val _new_GapPayoff : c_obj -> c_obj
val _delete_GapPayoff : c_obj -> c_obj

val create_GapPayoffPtr_from_ptr : c_obj -> c_obj


val new_RateHelper : c_obj -> c_obj
val _new_RateHelper : c_obj -> c_obj
val _delete_RateHelper : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenRateHelper_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_DepositRateHelper : c_obj -> c_obj
val _new_DepositRateHelper : c_obj -> c_obj
val new_DepositRateHelper : c_obj -> c_obj
val _new_DepositRateHelper : c_obj -> c_obj
val _delete_DepositRateHelper : c_obj -> c_obj

val create_DepositRateHelperPtr_from_ptr : c_obj -> c_obj


val new_FraRateHelper : c_obj -> c_obj
val _new_FraRateHelper : c_obj -> c_obj
val new_FraRateHelper : c_obj -> c_obj
val _new_FraRateHelper : c_obj -> c_obj
val _delete_FraRateHelper : c_obj -> c_obj

val create_FraRateHelperPtr_from_ptr : c_obj -> c_obj


val new_FuturesRateHelper : c_obj -> c_obj
val _new_FuturesRateHelper : c_obj -> c_obj
val new_FuturesRateHelper : c_obj -> c_obj
val _new_FuturesRateHelper : c_obj -> c_obj
val new_FuturesRateHelper : c_obj -> c_obj
val _new_FuturesRateHelper : c_obj -> c_obj
val _delete_FuturesRateHelper : c_obj -> c_obj

val create_FuturesRateHelperPtr_from_ptr : c_obj -> c_obj


val new_SwapRateHelper : c_obj -> c_obj
val _new_SwapRateHelper : c_obj -> c_obj
val new_SwapRateHelper : c_obj -> c_obj
val _new_SwapRateHelper : c_obj -> c_obj
val _delete_SwapRateHelper : c_obj -> c_obj

val create_SwapRateHelperPtr_from_ptr : c_obj -> c_obj


val new_FixedCouponBondHelper : c_obj -> c_obj
val _new_FixedCouponBondHelper : c_obj -> c_obj
val new_FixedCouponBondHelper : c_obj -> c_obj
val _new_FixedCouponBondHelper : c_obj -> c_obj
val new_FixedCouponBondHelper : c_obj -> c_obj
val _new_FixedCouponBondHelper : c_obj -> c_obj
val new_FixedCouponBondHelper : c_obj -> c_obj
val _new_FixedCouponBondHelper : c_obj -> c_obj
val new_FixedCouponBondHelper : c_obj -> c_obj
val _new_FixedCouponBondHelper : c_obj -> c_obj
val _delete_FixedCouponBondHelper : c_obj -> c_obj

val create_FixedCouponBondHelperPtr_from_ptr : c_obj -> c_obj


val new_RateHelperVector : c_obj -> c_obj
val _new_RateHelperVector : c_obj -> c_obj
val new_RateHelperVector : c_obj -> c_obj
val _new_RateHelperVector : c_obj -> c_obj
val new_RateHelperVector : c_obj -> c_obj
val _new_RateHelperVector : c_obj -> c_obj
val new_RateHelperVector : c_obj -> c_obj
val _new_RateHelperVector : c_obj -> c_obj
val _delete_RateHelperVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenboost_xxshared_ptr_xx_ldbrace_xx_lparenRateHelper_xx_rparen_xx_rdbrace_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_Discount : c_obj -> c_obj
val _new_Discount : c_obj -> c_obj
val _delete_Discount : c_obj -> c_obj

val create_Discount_from_ptr : c_obj -> c_obj


val new_ZeroYield : c_obj -> c_obj
val _new_ZeroYield : c_obj -> c_obj
val _delete_ZeroYield : c_obj -> c_obj

val create_ZeroYield_from_ptr : c_obj -> c_obj


val new_ForwardRate : c_obj -> c_obj
val _new_ForwardRate : c_obj -> c_obj
val _delete_ForwardRate : c_obj -> c_obj

val create_ForwardRate_from_ptr : c_obj -> c_obj


val new_PiecewiseFlatForward : c_obj -> c_obj
val _new_PiecewiseFlatForward : c_obj -> c_obj
val new_PiecewiseFlatForward : c_obj -> c_obj
val _new_PiecewiseFlatForward : c_obj -> c_obj
val new_PiecewiseFlatForward : c_obj -> c_obj
val _new_PiecewiseFlatForward : c_obj -> c_obj
val new_PiecewiseFlatForward : c_obj -> c_obj
val _new_PiecewiseFlatForward : c_obj -> c_obj
val new_PiecewiseFlatForward : c_obj -> c_obj
val _new_PiecewiseFlatForward : c_obj -> c_obj
val new_PiecewiseFlatForward : c_obj -> c_obj
val _new_PiecewiseFlatForward : c_obj -> c_obj
val _delete_PiecewiseFlatForward : c_obj -> c_obj

val create_PiecewiseFlatForwardPtr_from_ptr : c_obj -> c_obj


val _Settings_instance : c_obj -> c_obj
val _delete_Settings : c_obj -> c_obj

val create_Settings_from_ptr : c_obj -> c_obj


val new_CalibrationHelper : c_obj -> c_obj
val _new_CalibrationHelper : c_obj -> c_obj
val _delete_CalibrationHelper : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenCalibrationHelper_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_SwaptionHelper : c_obj -> c_obj
val _new_SwaptionHelper : c_obj -> c_obj
val _delete_SwaptionHelper : c_obj -> c_obj

val create_SwaptionHelperPtr_from_ptr : c_obj -> c_obj


val new_CapHelper : c_obj -> c_obj
val _new_CapHelper : c_obj -> c_obj
val _delete_CapHelper : c_obj -> c_obj

val create_CapHelperPtr_from_ptr : c_obj -> c_obj


val new_CalibrationHelperVector : c_obj -> c_obj
val _new_CalibrationHelperVector : c_obj -> c_obj
val new_CalibrationHelperVector : c_obj -> c_obj
val _new_CalibrationHelperVector : c_obj -> c_obj
val new_CalibrationHelperVector : c_obj -> c_obj
val _new_CalibrationHelperVector : c_obj -> c_obj
val new_CalibrationHelperVector : c_obj -> c_obj
val _new_CalibrationHelperVector : c_obj -> c_obj
val _delete_CalibrationHelperVector : c_obj -> c_obj

val create_std_xxvector_xx_ldbrace_xx_lparenboost_xxshared_ptr_xx_ldbrace_xx_lparenCalibrationHelper_xx_rparen_xx_rdbrace_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_ShortRateModel : c_obj -> c_obj
val _new_ShortRateModel : c_obj -> c_obj
val _delete_ShortRateModel : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenShortRateModel_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_HullWhite : c_obj -> c_obj
val _new_HullWhite : c_obj -> c_obj
val new_HullWhite : c_obj -> c_obj
val _new_HullWhite : c_obj -> c_obj
val new_HullWhite : c_obj -> c_obj
val _new_HullWhite : c_obj -> c_obj
val _delete_HullWhite : c_obj -> c_obj

val create_HullWhitePtr_from_ptr : c_obj -> c_obj


val new_BlackKarasinski : c_obj -> c_obj
val _new_BlackKarasinski : c_obj -> c_obj
val new_BlackKarasinski : c_obj -> c_obj
val _new_BlackKarasinski : c_obj -> c_obj
val new_BlackKarasinski : c_obj -> c_obj
val _new_BlackKarasinski : c_obj -> c_obj
val _delete_BlackKarasinski : c_obj -> c_obj

val create_BlackKarasinskiPtr_from_ptr : c_obj -> c_obj


val new_G2 : c_obj -> c_obj
val _new_G2 : c_obj -> c_obj
val new_G2 : c_obj -> c_obj
val _new_G2 : c_obj -> c_obj
val new_G2 : c_obj -> c_obj
val _new_G2 : c_obj -> c_obj
val new_G2 : c_obj -> c_obj
val _new_G2 : c_obj -> c_obj
val new_G2 : c_obj -> c_obj
val _new_G2 : c_obj -> c_obj
val new_G2 : c_obj -> c_obj
val _new_G2 : c_obj -> c_obj
val _delete_G2 : c_obj -> c_obj

val create_G2Ptr_from_ptr : c_obj -> c_obj


val new_JamshidianSwaptionEngine : c_obj -> c_obj
val _new_JamshidianSwaptionEngine : c_obj -> c_obj
val _delete_JamshidianSwaptionEngine : c_obj -> c_obj

val create_JamshidianSwaptionEnginePtr_from_ptr : c_obj -> c_obj


val new_TreeSwaptionEngine : c_obj -> c_obj
val _new_TreeSwaptionEngine : c_obj -> c_obj
val new_TreeSwaptionEngine : c_obj -> c_obj
val _new_TreeSwaptionEngine : c_obj -> c_obj
val _delete_TreeSwaptionEngine : c_obj -> c_obj

val create_TreeSwaptionEnginePtr_from_ptr : c_obj -> c_obj


val new_AnalyticCapFloorEngine : c_obj -> c_obj
val _new_AnalyticCapFloorEngine : c_obj -> c_obj
val _delete_AnalyticCapFloorEngine : c_obj -> c_obj

val create_AnalyticCapFloorEnginePtr_from_ptr : c_obj -> c_obj


val new_TreeCapFloorEngine : c_obj -> c_obj
val _new_TreeCapFloorEngine : c_obj -> c_obj
val new_TreeCapFloorEngine : c_obj -> c_obj
val _new_TreeCapFloorEngine : c_obj -> c_obj
val _delete_TreeCapFloorEngine : c_obj -> c_obj

val create_TreeCapFloorEnginePtr_from_ptr : c_obj -> c_obj


val new_G2SwaptionEngine : c_obj -> c_obj
val _new_G2SwaptionEngine : c_obj -> c_obj
val _delete_G2SwaptionEngine : c_obj -> c_obj

val create_G2SwaptionEnginePtr_from_ptr : c_obj -> c_obj


val new_Statistics : c_obj -> c_obj
val _new_Statistics : c_obj -> c_obj
val _delete_Statistics : c_obj -> c_obj

val create_Statistics_from_ptr : c_obj -> c_obj


val new_RiskStatistics : c_obj -> c_obj
val _new_RiskStatistics : c_obj -> c_obj
val _delete_RiskStatistics : c_obj -> c_obj

val create_RiskStatistics_from_ptr : c_obj -> c_obj


val new_MultipleStatistics : c_obj -> c_obj
val _new_MultipleStatistics : c_obj -> c_obj
val _delete_MultipleStatistics : c_obj -> c_obj

val create_SequenceStatistics_xx_ldbrace_xx_lparenStatistics_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_TimeBasket : c_obj -> c_obj
val _new_TimeBasket : c_obj -> c_obj
val new_TimeBasket : c_obj -> c_obj
val _new_TimeBasket : c_obj -> c_obj
val _delete_TimeBasket : c_obj -> c_obj

val create_TimeBasket_from_ptr : c_obj -> c_obj


val new_Swap : c_obj -> c_obj
val _new_Swap : c_obj -> c_obj
val _delete_Swap : c_obj -> c_obj

val create_SwapPtr_from_ptr : c_obj -> c_obj


val new_SimpleSwap : c_obj -> c_obj
val _new_SimpleSwap : c_obj -> c_obj
val _delete_SimpleSwap : c_obj -> c_obj

val create_SimpleSwapPtr_from_ptr : c_obj -> c_obj


val new_Swaption : c_obj -> c_obj
val _new_Swaption : c_obj -> c_obj
val _delete_Swaption : c_obj -> c_obj

val create_SwaptionPtr_from_ptr : c_obj -> c_obj


val new_BlackSwaptionEngine : c_obj -> c_obj
val _new_BlackSwaptionEngine : c_obj -> c_obj
val _delete_BlackSwaptionEngine : c_obj -> c_obj

val create_BlackSwaptionEnginePtr_from_ptr : c_obj -> c_obj


val new_ZeroCurve : c_obj -> c_obj
val _new_ZeroCurve : c_obj -> c_obj
val new_ZeroCurve : c_obj -> c_obj
val _new_ZeroCurve : c_obj -> c_obj
val _delete_ZeroCurve : c_obj -> c_obj

val create_ZeroCurvePtr_from_ptr : c_obj -> c_obj


val new_DiscreteGeometricASO : c_obj -> c_obj
val _new_DiscreteGeometricASO : c_obj -> c_obj
val _delete_DiscreteGeometricASO : c_obj -> c_obj

val create_DiscreteGeometricASO_from_ptr : c_obj -> c_obj


val new_McDiscreteArithmeticASO : c_obj -> c_obj
val _new_McDiscreteArithmeticASO : c_obj -> c_obj
val new_McDiscreteArithmeticASO : c_obj -> c_obj
val _new_McDiscreteArithmeticASO : c_obj -> c_obj
val _delete_McDiscreteArithmeticASO : c_obj -> c_obj

val create_McDiscreteArithmeticASO_from_ptr : c_obj -> c_obj


val new_McMaxBasket : c_obj -> c_obj
val _new_McMaxBasket : c_obj -> c_obj
val new_McMaxBasket : c_obj -> c_obj
val _new_McMaxBasket : c_obj -> c_obj
val _delete_McMaxBasket : c_obj -> c_obj

val create_McMaxBasket_from_ptr : c_obj -> c_obj


val new_McHimalaya : c_obj -> c_obj
val _new_McHimalaya : c_obj -> c_obj
val new_McHimalaya : c_obj -> c_obj
val _new_McHimalaya : c_obj -> c_obj
val _delete_McHimalaya : c_obj -> c_obj

val create_McHimalaya_from_ptr : c_obj -> c_obj


val new_McEverest : c_obj -> c_obj
val _new_McEverest : c_obj -> c_obj
val new_McEverest : c_obj -> c_obj
val _new_McEverest : c_obj -> c_obj
val _delete_McEverest : c_obj -> c_obj

val create_McEverest_from_ptr : c_obj -> c_obj


val new_McPagoda : c_obj -> c_obj
val _new_McPagoda : c_obj -> c_obj
val new_McPagoda : c_obj -> c_obj
val _new_McPagoda : c_obj -> c_obj
val _delete_McPagoda : c_obj -> c_obj

val create_McPagoda_from_ptr : c_obj -> c_obj


val new_SwaptionVolatilityStructure : c_obj -> c_obj
val _new_SwaptionVolatilityStructure : c_obj -> c_obj
val _delete_SwaptionVolatilityStructure : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenSwaptionVolatilityStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_SwaptionVolatilityStructureHandle : c_obj -> c_obj
val _new_SwaptionVolatilityStructureHandle : c_obj -> c_obj
val new_SwaptionVolatilityStructureHandle : c_obj -> c_obj
val _new_SwaptionVolatilityStructureHandle : c_obj -> c_obj
val _delete_SwaptionVolatilityStructureHandle : c_obj -> c_obj

val create_Handle_xx_ldbrace_xx_lparenSwaptionVolatilityStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_SwaptionVolatilityMatrix : c_obj -> c_obj
val _new_SwaptionVolatilityMatrix : c_obj -> c_obj
val _delete_SwaptionVolatilityMatrix : c_obj -> c_obj

val create_SwaptionVolatilityMatrixPtr_from_ptr : c_obj -> c_obj


val new_CapVolatilityStructure : c_obj -> c_obj
val _new_CapVolatilityStructure : c_obj -> c_obj
val _delete_CapVolatilityStructure : c_obj -> c_obj

val create_boost_xxshared_ptr_xx_ldbrace_xx_lparenCapVolatilityStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_CapVolatilityStructureHandle : c_obj -> c_obj
val _new_CapVolatilityStructureHandle : c_obj -> c_obj
val new_CapVolatilityStructureHandle : c_obj -> c_obj
val _new_CapVolatilityStructureHandle : c_obj -> c_obj
val _delete_CapVolatilityStructureHandle : c_obj -> c_obj

val create_Handle_xx_ldbrace_xx_lparenCapVolatilityStructure_xx_rparen_xx_rdbrace_from_ptr : c_obj -> c_obj


val new_CapVolatilityVector : c_obj -> c_obj
val _new_CapVolatilityVector : c_obj -> c_obj
val new_CapVolatilityVector : c_obj -> c_obj
val _new_CapVolatilityVector : c_obj -> c_obj
val _delete_CapVolatilityVector : c_obj -> c_obj

val create_CapVolatilityVectorPtr_from_ptr : c_obj -> c_obj


val enum_to_int : c_enum_type -> c_obj -> Swig.c_obj
val int_to_enum : c_enum_type -> int -> c_obj

  val swig_val : c_enum_type -> c_obj -> Swig.c_obj

